set(LPP_GRAMMAR ASN1/37355-g60.asn)

set(lpp_source
    ANY_aper.c
    ANY.c
    ANY_uper.c
    ANY_xer.c
    aper_decoder.c
    aper_encoder.c
    aper_opentype.c
    aper_support.c
    asn_application.c
    asn_bit_data.c
    asn_codecs_prim.c
    asn_codecs_prim_xer.c
    asn_internal.c
    asn_random_fill.c
    asn_SEQUENCE_OF.c
    asn_SET_OF.c
    ber_tlv_length.c
    ber_tlv_tag.c
    BIT_STRING.c
    BIT_STRING_print.c
    BIT_STRING_rfill.c
    BIT_STRING_uper.c
    BIT_STRING_xer.c
    BOOLEAN_aper.c
    BOOLEAN.c
    BOOLEAN_print.c
    BOOLEAN_rfill.c
    BOOLEAN_uper.c
    BOOLEAN_xer.c
    constraints.c
    constr_CHOICE_aper.c
    constr_CHOICE.c
    constr_CHOICE_print.c
    constr_CHOICE_rfill.c
    constr_CHOICE_uper.c
    constr_CHOICE_xer.c
    constr_SEQUENCE_aper.c
    constr_SEQUENCE.c
    constr_SEQUENCE_OF_aper.c
    constr_SEQUENCE_OF.c
    constr_SEQUENCE_OF_uper.c
    constr_SEQUENCE_OF_xer.c
    constr_SEQUENCE_print.c
    constr_SEQUENCE_rfill.c
    constr_SEQUENCE_uper.c
    constr_SEQUENCE_xer.c
    constr_SET_OF_aper.c
    constr_SET_OF.c
    constr_SET_OF_print.c
    constr_SET_OF_rfill.c
    constr_SET_OF_uper.c
    constr_SET_OF_xer.c
    constr_TYPE.c
    GeneralizedTime.c
    GeneralizedTime_print.c
    GeneralizedTime_rfill.c
    GeneralizedTime_xer.c
    GraphicString.c
    INTEGER_aper.c
    INTEGER.c
    INTEGER_print.c
    INTEGER_rfill.c
    INTEGER_uper.c
    INTEGER_xer.c
    LPP_Abort.c
    LPP_Abort-r9-IEs.c
    LPP_AccessTypes.c
    LPP_Acknowledgement.c
    LPP_AdditionalInformation.c
    LPP_AdditionalPathList-r14.c
    LPP_AdditionalPath-r14.c
    LPP_Add-PRSconfigNeighbourElement-r14.c
    LPP_A-GNSS-Error.c
    LPP_A-GNSS-ProvideAssistanceData.c
    LPP_A-GNSS-ProvideCapabilities.c
    LPP_A-GNSS-ProvideLocationInformation.c
    LPP_A-GNSS-RequestAssistanceData.c
    LPP_A-GNSS-RequestCapabilities.c
    LPP_A-GNSS-RequestLocationInformation.c
    LPP_AlmanacBDS-AlmanacSet-r12.c
    LPP_AlmanacECEF-SBAS-AlmanacSet.c
    LPP_AlmanacGLONASS-AlmanacSet.c
    LPP_AlmanacKeplerianSet.c
    LPP_AlmanacMidiAlmanacSet.c
    LPP_AlmanacNavIC-AlmanacSet-r16.c
    LPP_AlmanacNAV-KeplerianSet.c
    LPP_AlmanacReducedKeplerianSet.c
    LPP_AntennaDescription-r15.c
    LPP_AntennaReferencePointUnc-r15.c
    LPP_ARFCN-ValueEUTRA.c
    LPP_ARFCN-ValueEUTRA-r14.c
    LPP_ARFCN-ValueEUTRA-v9a0.c
    LPP_ARFCN-ValueNR-r15.c
    LPP_ARFCN-ValueUTRA.c
    LPP_AssistanceDataSIBelement-r15.c
    LPP_AssistanceDataSupportList.c
    LPP_Aux-ARP-Unc-r15.c
    LPP_AuxiliaryStationElement-r15.c
    LPP_AuxiliaryStationList-r15.c
    LPP_AUX-ReferenceStationID-Element-r15.c
    LPP_AUX-ReferenceStationList-r15.c
    LPP_BadSignalElement.c
    LPP_BDS-ClockModel2-r16.c
    LPP_BDS-ClockModel-r12.c
    LPP_BDS-DifferentialCorrections-r12.c
    LPP_BDS-DifferentialCorrectionsReq-r12.c
    LPP_BDS-DifferentialCorrectionsSupport-r12.c
    LPP_BDS-GridModelParameter-r12.c
    LPP_BDS-GridModelReq-r12.c
    LPP_BDS-GridModelSupport-r12.c
    LPP_BDS-SgnTypeElement-r12.c
    LPP_BDS-SgnTypeList-r12.c
    LPP_BT-Error-r13.c
    LPP_BT-LocationServerErrorCauses-r13.c
    LPP_BT-MeasurementElement-r13.c
    LPP_BT-MeasurementInformation-r13.c
    LPP_BT-MeasurementList-r13.c
    LPP_BT-ProvideCapabilities-r13.c
    LPP_BT-ProvideLocationInformation-r13.c
    LPP_BT-RequestCapabilities-r13.c
    LPP_BT-RequestLocationInformation-r13.c
    LPP_BT-TargetDeviceErrorCauses-r13.c
    LPP_CarrierFreq-NB-r14.c
    LPP_CarrierFreqOffsetNB-r14.c
    LPP_CellGlobalIdEUTRA-AndUTRA.c
    LPP_CellGlobalIdGERAN.c
    LPP_CipheringKeyData-r15.c
    LPP_CNAV-ClockModel.c
    LPP_CommonIEsAbort.c
    LPP_CommonIEsError.c
    LPP_CommonIEsProvideAssistanceData.c
    LPP_CommonIEsProvideCapabilities.c
    LPP_CommonIEsProvideLocationInformation.c
    LPP_CommonIEsRequestAssistanceData.c
    LPP_CommonIEsRequestCapabilities.c
    LPP_CommonIEsRequestLocationInformation.c
    LPP_DBDS-CorrectionElement-r12.c
    LPP_DBDS-CorrectionList-r12.c
    LPP_Delta-Height-r16.c
    LPP_Delta-Latitude-r16.c
    LPP_Delta-Longitude-r16.c
    LPP_DeltaTime-r15.c
    LPP_DGNSS-CorrectionsElement.c
    LPP_DGNSS-SatList.c
    LPP_DGNSS-SgnTypeElement.c
    LPP_DGNSS-SgnTypeList.c
    LPP_DisplacementInfoListElement-r15.c
    LPP_DisplacementInfoList-r15.c
    LPP_Displacement-r15.c
    LPP_DisplacementTimeStamp-r15.c
    LPP_DL-AoD-MeasCapabilityPerBand-r16.c
    LPP_DL-PRS-BeamInfoElement-r16.c
    LPP_DL-PRS-BeamInfoResourceSet-r16.c
    LPP_DL-PRS-BeamInfoSet-r16.c
    LPP_DL-PRS-ID-Info-r16.c
    LPP_DL-PRS-MutingOption1-r16.c
    LPP_DL-PRS-MutingOption2-r16.c
    LPP_DL-PRS-QCL-Info-r16.c
    LPP_DL-PRS-QCL-ProcessingCapabilityPerBand-r16.c
    LPP_DL-PRS-Resource-ARP-Element-r16.c
    LPP_DL-PRS-ResourcesBandCombinationList-r16.c
    LPP_DL-PRS-ResourcesBandCombination-r16.c
    LPP_DL-PRS-ResourcesCapabilityPerBand-r16.c
    LPP_DL-PRS-ResourceSets-TRP-Element-r16.c
    LPP_DL-SelectedPRS-ResourceIndex-r16.c
    LPP_DL-SelectedPRS-ResourceSetIndex-r16.c
    LPP_EarlyFixReport-r12.c
    LPP_ECGI.c
    LPP_ECID-Error.c
    LPP_ECID-LocationServerErrorCauses.c
    LPP_ECID-ProvideCapabilities.c
    LPP_ECID-ProvideLocationInformation.c
    LPP_ECID-RequestCapabilities.c
    LPP_ECID-RequestLocationInformation.c
    LPP_ECID-SignalMeasurementInformation.c
    LPP_ECID-TargetDeviceErrorCauses.c
    LPP_EllipsoidArc.c
    LPP_Ellipsoid-Point.c
    LPP_EllipsoidPointWithAltitudeAndUncertaintyEllipsoid.c
    LPP_EllipsoidPointWithAltitude.c
    LPP_Ellipsoid-PointWithUncertaintyCircle.c
    LPP_EllipsoidPointWithUncertaintyEllipse.c
    LPP_Environment.c
    LPP_EPDU-Body.c
    LPP_EPDU.c
    LPP_EPDU-ID.c
    LPP_EPDU-Identifier.c
    LPP_EPDU-Name.c
    LPP_EPDU-Sequence.c
    LPP_EqualIntegerAmbiguityLevel-r16.c
    LPP_Error.c
    LPP_Error-r9-IEs.c
    LPP_EXTERNAL.c
    LPP_FKP-Gradients-Element-r15.c
    LPP_FKP-Gradients-List-r15.c
    LPP_FreqBandIndicatorNR-r16.c
    LPP_Geometric-Ionospheric-Corrections-Differences-Element-r15.c
    LPP_Geometric-Ionospheric-Corrections-Differences-r15.c
    LPP_GLONASS-ClockModel.c
    LPP_GLO-RTK-BiasInformation-r15.c
    LPP_GLO-RTK-BiasInformationReq-r15.c
    LPP_GLO-RTK-BiasInformationSupport-r15.c
    LPP_GNSS-AcquisitionAssistance.c
    LPP_GNSS-AcquisitionAssistanceReq.c
    LPP_GNSS-AcquisitionAssistanceSupport.c
    LPP_GNSS-AcquisitionAssistElement.c
    LPP_GNSS-AcquisitionAssistList.c
    LPP_GNSS-Almanac.c
    LPP_GNSS-AlmanacElement.c
    LPP_GNSS-AlmanacList.c
    LPP_GNSS-AlmanacReq.c
    LPP_GNSS-AlmanacSupport.c
    LPP_GNSS-AuxiliaryInformation.c
    LPP_GNSS-AuxiliaryInformationReq.c
    LPP_GNSS-AuxiliaryInformationSupport.c
    LPP_GNSS-BadSignalList.c
    LPP_GNSS-ClockModel.c
    LPP_GNSS-CommonAssistanceDataSupport.c
    LPP_GNSS-CommonAssistData.c
    LPP_GNSS-CommonAssistDataReq.c
    LPP_GNSS-DataBitAssistance.c
    LPP_GNSS-DataBitAssistanceReq.c
    LPP_GNSS-DataBitAssistanceSupport.c
    LPP_GNSS-DataBitsReqSatElement.c
    LPP_GNSS-DataBitsReqSatList.c
    LPP_GNSS-DataBitsSatElement.c
    LPP_GNSS-DataBitsSatList.c
    LPP_GNSS-DataBitsSgnElement.c
    LPP_GNSS-DataBitsSgnList.c
    LPP_GNSS-DifferentialCorrections.c
    LPP_GNSS-DifferentialCorrectionsReq.c
    LPP_GNSS-DifferentialCorrectionsSupport.c
    LPP_GNSS-EarthOrientationParameters.c
    LPP_GNSS-EarthOrientationParametersReq.c
    LPP_GNSS-EarthOrientationParametersSupport.c
    LPP_GNSS-FrequencyID-r15.c
    LPP_GNSS-GenericAssistanceDataSupport.c
    LPP_GNSS-GenericAssistData.c
    LPP_GNSS-GenericAssistDataElement.c
    LPP_GNSS-GenericAssistDataReq.c
    LPP_GNSS-GenericAssistDataReqElement.c
    LPP_GNSS-GenericAssistDataSupportElement.c
    LPP_GNSS-ID-BDS-r16.c
    LPP_GNSS-ID-BDS-SatElement-r16.c
    LPP_GNSS-ID-Bitmap.c
    LPP_GNSS-ID.c
    LPP_GNSS-ID-GLONASS.c
    LPP_GNSS-ID-GLONASS-SatElement.c
    LPP_GNSS-ID-GPS.c
    LPP_GNSS-ID-GPS-SatElement.c
    LPP_GNSS-IonosphericModel.c
    LPP_GNSS-IonosphericModelReq.c
    LPP_GNSS-IonosphericModelSupport.c
    LPP_GNSS-Link-CombinationsList-r15.c
    LPP_GNSS-Link-Combinations-r15.c
    LPP_GNSS-LocationInformation.c
    LPP_GNSS-LocationServerErrorCauses.c
    LPP_GNSS-MeasurementForOneGNSS.c
    LPP_GNSS-MeasurementList.c
    LPP_GNSS-NavigationModel.c
    LPP_GNSS-NavigationModelReq.c
    LPP_GNSS-NavigationModelSupport.c
    LPP_GNSS-NavListInfo-r15.c
    LPP_GNSS-NavModelSatelliteElement.c
    LPP_GNSS-NavModelSatelliteList.c
    LPP_GNSS-NetworkID-r15.c
    LPP_GNSS-ObservationList-r15.c
    LPP_GNSS-OrbitModel.c
    LPP_GNSS-PeriodicAssistData-r15.c
    LPP_GNSS-PeriodicAssistDataReq-r15.c
    LPP_GNSS-PeriodicControlParam-r15.c
    LPP_GNSS-PositioningInstructions.c
    LPP_GNSS-RealTimeIntegrity.c
    LPP_GNSS-RealTimeIntegrityReq.c
    LPP_GNSS-RealTimeIntegritySupport.c
    LPP_GNSS-ReferenceLocation.c
    LPP_GNSS-ReferenceLocationReq.c
    LPP_GNSS-ReferenceLocationSupport.c
    LPP_GNSS-ReferenceStationID-r15.c
    LPP_GNSS-ReferenceTime.c
    LPP_GNSS-ReferenceTimeForOneCell.c
    LPP_GNSS-ReferenceTimeReq.c
    LPP_GNSS-ReferenceTimeSupport.c
    LPP_GNSS-RTK-AuxiliaryStationData-r15.c
    LPP_GNSS-RTK-AuxiliaryStationDataReq-r15.c
    LPP_GNSS-RTK-AuxiliaryStationDataSupport-r15.c
    LPP_GNSS-RTK-CommonObservationInfo-r15.c
    LPP_GNSS-RTK-FKP-Gradients-r15.c
    LPP_GNSS-RTK-FKP-GradientsReq-r15.c
    LPP_GNSS-RTK-FKP-GradientsSupport-r15.c
    LPP_GNSS-RTK-MAC-CorrectionDifferences-r15.c
    LPP_GNSS-RTK-MAC-CorrectionDifferencesReq-r15.c
    LPP_GNSS-RTK-MAC-CorrectionDifferencesSupport-r15.c
    LPP_GNSS-RTK-Observations-r15.c
    LPP_GNSS-RTK-ObservationsReq-r15.c
    LPP_GNSS-RTK-ObservationsSupport-r15.c
    LPP_GNSS-RTK-ReferenceStationInfo-r15.c
    LPP_GNSS-RTK-ReferenceStationInfoReq-r15.c
    LPP_GNSS-RTK-ReferenceStationInfoSupport-r15.c
    LPP_GNSS-RTK-Residuals-r15.c
    LPP_GNSS-RTK-ResidualsReq-r15.c
    LPP_GNSS-RTK-ResidualsSupport-r15.c
    LPP_GNSS-RTK-SatelliteDataElement-r15.c
    LPP_GNSS-RTK-SatelliteSignalDataElement-r15.c
    LPP_GNSS-RTK-SatelliteSignalDataList-r15.c
    LPP_GNSS-SatMeasElement.c
    LPP_GNSS-SatMeasList.c
    LPP_GNSS-SgnMeasElement.c
    LPP_GNSS-SgnMeasList.c
    LPP_GNSS-SignalID.c
    LPP_GNSS-SignalIDs.c
    LPP_GNSS-SignalMeasurementInformation.c
    LPP_GNSS-SSR-ArrayOfCorrectionPoints-r16.c
    LPP_GNSS-SSR-ClockCorrections-r15.c
    LPP_GNSS-SSR-ClockCorrectionsReq-r15.c
    LPP_GNSS-SSR-ClockCorrectionsSupport-r15.c
    LPP_GNSS-SSR-CodeBias-r15.c
    LPP_GNSS-SSR-CodeBiasReq-r15.c
    LPP_GNSS-SSR-CodeBiasSupport-r15.c
    LPP_GNSS-SSR-CorrectionPoints-r16.c
    LPP_GNSS-SSR-CorrectionPointsReq-r16.c
    LPP_GNSS-SSR-GriddedCorrection-r16.c
    LPP_GNSS-SSR-GriddedCorrectionReq-r16.c
    LPP_GNSS-SSR-GriddedCorrectionSupport-r16.c
    LPP_GNSS-SSR-ListOfCorrectionPoints-r16.c
    LPP_GNSS-SSR-OrbitCorrections-r15.c
    LPP_GNSS-SSR-OrbitCorrectionsReq-r15.c
    LPP_GNSS-SSR-OrbitCorrectionsSupport-r15.c
    LPP_GNSS-SSR-PhaseBias-r16.c
    LPP_GNSS-SSR-PhaseBiasReq-r16.c
    LPP_GNSS-SSR-PhaseBiasSupport-r16.c
    LPP_GNSS-SSR-STEC-Correction-r16.c
    LPP_GNSS-SSR-STEC-CorrectionReq-r16.c
    LPP_GNSS-SSR-STEC-CorrectionSupport-r16.c
    LPP_GNSS-SSR-URA-r16.c
    LPP_GNSS-SSR-URA-Req-r16.c
    LPP_GNSS-SSR-URA-Support-r16.c
    LPP_GNSS-SubNetworkID-r15.c
    LPP_GNSS-SupportElement.c
    LPP_GNSS-SupportList.c
    LPP_GNSS-SystemTime.c
    LPP_GNSS-TargetDeviceErrorCauses.c
    LPP_GNSS-TimeModelElement.c
    LPP_GNSS-TimeModelElementReq.c
    LPP_GNSS-TimeModelList.c
    LPP_GNSS-TimeModelListReq.c
    LPP_GNSS-TimeModelListSupport.c
    LPP_GNSS-UTC-Model.c
    LPP_GNSS-UTC-ModelReq.c
    LPP_GNSS-UTC-ModelSupport.c
    LPP_GPS-TOW-Assist.c
    LPP_GPS-TOW-AssistElement.c
    LPP_GridElement-r16.c
    LPP_GridIonElement-r12.c
    LPP_GridIonList-r12.c
    LPP_GridList-r16.c
    LPP_HighAccuracyEllipsoidPointWithAltitudeAndUncertaintyEllipsoid-r15.c
    LPP_HighAccuracyEllipsoidPointWithUncertaintyEllipse-r15.c
    LPP_HorizontalAccuracy.c
    LPP_HorizontalAccuracyExt-r15.c
    LPP_HorizontalVelocity.c
    LPP_HorizontalVelocityWithUncertainty.c
    LPP_HorizontalWithVerticalVelocityAndUncertainty.c
    LPP_HorizontalWithVerticalVelocity.c
    LPP_Initiator.c
    LPP_KlobucharModel2Parameter-r16.c
    LPP_KlobucharModelParameter.c
    LPP_LCS-GCS-TranslationParameter-r16.c
    LPP_LocationCoordinates.c
    LPP_LocationCoordinateTypes.c
    LPP_LocationDataLCI-r14.c
    LPP_LocationError.c
    LPP_LocationFailureCause.c
    LPP_LocationInformationType.c
    LPP_LocationSource-r13.c
    LPP_LocationUncertainty-r16.c
    LPP_LPP-MessageBody.c
    LPP_LPP-Message.c
    LPP_LPP-TransactionID.c
    LPP_MBS-AcquisitionAssistance-r14.c
    LPP_MBS-AlmanacAssistance-r14.c
    LPP_MBS-AssistanceDataElement-r14.c
    LPP_MBS-AssistanceDataList-r14.c
    LPP_MBS-AssistanceDataSupportList-r14.c
    LPP_MBS-BeaconMeasElement-r13.c
    LPP_MBS-BeaconMeasList-r13.c
    LPP_MeasQuantityResults-r16.c
    LPP_MeasuredResultsElement.c
    LPP_MeasuredResultsList.c
    LPP_MeasurementReferenceTime.c
    LPP_MessageSizeLimitNB-r14.c
    LPP_MotionTimeSource-r15.c
    LPP_NAV-ClockModel.c
    LPP_NavIC-CDC-r16.c
    LPP_NavIC-ClockModel-r16.c
    LPP_NavIC-CorrectionElementAutoNav-r16.c
    LPP_NavIC-CorrectionListAutoNav-r16.c
    LPP_NavIC-DifferentialCorrections-r16.c
    LPP_NavIC-DifferentialCorrectionsReq-r16.c
    LPP_NavIC-DifferentialCorrectionsSupport-r16.c
    LPP_NavIC-EDC-r16.c
    LPP_NavIC-GridModelParameter-r16.c
    LPP_NavIC-GridModelReq-r16.c
    LPP_NavIC-GridModelSupport-r16.c
    LPP_NavModel-BDS-KeplerianSet2-r16.c
    LPP_NavModel-BDS-KeplerianSet-r12.c
    LPP_NavModelCNAV-KeplerianSet.c
    LPP_NavModel-GLONASS-ECEF.c
    LPP_NavModelKeplerianSet.c
    LPP_NavModel-NavIC-KeplerianSet-r16.c
    LPP_NavModelNAV-KeplerianSet.c
    LPP_NavModel-SBAS-ECEF.c
    LPP_NCGI-r15.c
    LPP_NeighbourMeasurementElement.c
    LPP_NeighbourMeasurementElement-NB-r14.c
    LPP_NeighbourMeasurementList.c
    LPP_NeighbourMeasurementList-NB-r14.c
    LPP_NeQuickModelParameter.c
    LPP_NetworkTime.c
    LPP_NPRS-Info-r14.c
    LPP_NR-AdditionalPathList-r16.c
    LPP_NR-AdditionalPath-r16.c
    LPP_NR-DL-AoD-AdditionalMeasurementElement-r16.c
    LPP_NR-DL-AoD-AdditionalMeasurements-r16.c
    LPP_NR-DL-AoD-Error-r16.c
    LPP_NR-DL-AoD-LocationInformation-r16.c
    LPP_NR-DL-AoD-LocationServerErrorCauses-r16.c
    LPP_NR-DL-AoD-MeasElement-r16.c
    LPP_NR-DL-AoD-MeasList-r16.c
    LPP_NR-DL-AoD-MeasurementCapability-r16.c
    LPP_NR-DL-AoD-ProvideAssistanceData-r16.c
    LPP_NR-DL-AoD-ProvideCapabilities-r16.c
    LPP_NR-DL-AoD-ProvideLocationInformation-r16.c
    LPP_NR-DL-AoD-ReportConfig-r16.c
    LPP_NR-DL-AoD-RequestAssistanceData-r16.c
    LPP_NR-DL-AoD-RequestCapabilities-r16.c
    LPP_NR-DL-AoD-RequestLocationInformation-r16.c
    LPP_NR-DL-AoD-SignalMeasurementInformation-r16.c
    LPP_NR-DL-AoD-TargetDeviceErrorCauses-r16.c
    LPP_NR-DL-PRS-AssistanceDataPerFreq-r16.c
    LPP_NR-DL-PRS-AssistanceDataPerTRP-r16.c
    LPP_NR-DL-PRS-AssistanceData-r16.c
    LPP_NR-DL-PRS-BeamInfoPerFreqLayer-r16.c
    LPP_NR-DL-PRS-BeamInfoPerTRP-r16.c
    LPP_NR-DL-PRS-BeamInfo-r16.c
    LPP_NR-DL-PRS-Info-r16.c
    LPP_NR-DL-PRS-Periodicity-and-ResourceSetSlotOffset-r16.c
    LPP_NR-DL-PRS-PositioningFrequencyLayer-r16.c
    LPP_NR-DL-PRS-ProcessingCapability-r16.c
    LPP_NR-DL-PRS-QCL-ProcessingCapability-r16.c
    LPP_NR-DL-PRS-ResourceID-r16.c
    LPP_NR-DL-PRS-Resource-r16.c
    LPP_NR-DL-PRS-ResourcesCapability-r16.c
    LPP_NR-DL-PRS-ResourceSetID-r16.c
    LPP_NR-DL-PRS-ResourceSet-r16.c
    LPP_NR-DL-PRS-SFN0-Offset-r16.c
    LPP_NR-DL-TDOA-AdditionalMeasurementElement-r16.c
    LPP_NR-DL-TDOA-AdditionalMeasurements-r16.c
    LPP_NR-DL-TDOA-Error-r16.c
    LPP_NR-DL-TDOA-LocationInformation-r16.c
    LPP_NR-DL-TDOA-LocationServerErrorCauses-r16.c
    LPP_NR-DL-TDOA-MeasElement-r16.c
    LPP_NR-DL-TDOA-MeasList-r16.c
    LPP_NR-DL-TDOA-MeasurementCapability-r16.c
    LPP_NR-DL-TDOA-ProvideAssistanceData-r16.c
    LPP_NR-DL-TDOA-ProvideCapabilities-r16.c
    LPP_NR-DL-TDOA-ProvideLocationInformation-r16.c
    LPP_NR-DL-TDOA-ReportConfig-r16.c
    LPP_NR-DL-TDOA-RequestAssistanceData-r16.c
    LPP_NR-DL-TDOA-RequestCapabilities-r16.c
    LPP_NR-DL-TDOA-RequestLocationInformation-r16.c
    LPP_NR-DL-TDOA-SignalMeasurementInformation-r16.c
    LPP_NR-DL-TDOA-TargetDeviceErrorCauses-r16.c
    LPP_NR-ECID-Error-r16.c
    LPP_NR-ECID-LocationServerErrorCauses-r16.c
    LPP_NR-ECID-ProvideCapabilities-r16.c
    LPP_NR-ECID-ProvideLocationInformation-r16.c
    LPP_NR-ECID-RequestCapabilities-r16.c
    LPP_NR-ECID-RequestLocationInformation-r16.c
    LPP_NR-ECID-SignalMeasurementInformation-r16.c
    LPP_NR-ECID-TargetDeviceErrorCauses-r16.c
    LPP_NR-MeasuredResultsElement-r16.c
    LPP_NR-MeasuredResultsList-r16.c
    LPP_NR-Multi-RTT-AdditionalMeasurementElement-r16.c
    LPP_NR-Multi-RTT-AdditionalMeasurements-r16.c
    LPP_NR-Multi-RTT-Error-r16.c
    LPP_NR-Multi-RTT-LocationServerErrorCauses-r16.c
    LPP_NR-Multi-RTT-MeasElement-r16.c
    LPP_NR-Multi-RTT-MeasList-r16.c
    LPP_NR-Multi-RTT-MeasurementCapability-r16.c
    LPP_NR-Multi-RTT-ProvideAssistanceData-r16.c
    LPP_NR-Multi-RTT-ProvideCapabilities-r16.c
    LPP_NR-Multi-RTT-ProvideLocationInformation-r16.c
    LPP_NR-Multi-RTT-ReportConfig-r16.c
    LPP_NR-Multi-RTT-RequestAssistanceData-r16.c
    LPP_NR-Multi-RTT-RequestCapabilities-r16.c
    LPP_NR-Multi-RTT-RequestLocationInformation-r16.c
    LPP_NR-Multi-RTT-SignalMeasurementInformation-r16.c
    LPP_NR-Multi-RTT-TargetDeviceErrorCauses-r16.c
    LPP_NR-MutingPattern-r16.c
    LPP_NR-PhysCellID-r16.c
    LPP_NR-PositionCalculationAssistance-r16.c
    LPP_NR-RTD-Info-r16.c
    LPP_NR-SelectedDL-PRS-IndexList-r16.c
    LPP_NR-SelectedDL-PRS-IndexPerTRP-r16.c
    LPP_NR-SelectedDL-PRS-PerFreq-r16.c
    LPP_NR-SSB-Config-r16.c
    LPP_NR-TimeStamp-r16.c
    LPP_NR-TimingQuality-r16.c
    LPP_NR-TRP-LocationInfoPerFreqLayer-r16.c
    LPP_NR-TRP-LocationInfo-r16.c
    LPP_NR-UEB-TRP-LocationData-r16.c
    LPP_NR-UEB-TRP-RTD-Info-r16.c
    LPP_NR-UL-ProvideCapabilities-r16.c
    LPP_NR-UL-RequestCapabilities-r16.c
    LPP_NR-UL-SRS-Capability-r16.c
    LPP_OLPC-SRS-Pos-r16.c
    LPP_OTDOA-Error.c
    LPP_OTDOA-LocationServerErrorCauses.c
    LPP_OTDOA-MeasQuality.c
    LPP_OTDOA-NeighbourCellInfoElement.c
    LPP_OTDOA-NeighbourCellInfoList.c
    LPP_OTDOA-NeighbourCellInfoListNB-r14.c
    LPP_OTDOA-NeighbourCellInfoNB-r14.c
    LPP_OTDOA-NeighbourFreqInfo.c
    LPP_OTDOA-ProvideAssistanceData.c
    LPP_OTDOA-ProvideCapabilities.c
    LPP_OTDOA-ProvideLocationInformation.c
    LPP_OTDOA-ReferenceCellInfo.c
    LPP_OTDOA-ReferenceCellInfoNB-r14.c
    LPP_OTDOA-RequestAssistanceData.c
    LPP_OTDOA-RequestCapabilities.c
    LPP_OTDOA-RequestLocationInformation.c
    LPP_OTDOA-SignalMeasurementInformation.c
    LPP_OTDOA-SignalMeasurementInformation-NB-r14.c
    LPP_OTDOA-TargetDeviceErrorCauses.c
    LPP_OTDOA-UE-Assisted-r15.c
    LPP_PeriodicalReportingCriteria.c
    LPP_PeriodicAssistanceDataControlParameters-r15.c
    LPP_PeriodicSessionID-r15.c
    LPP_PhysicalReferenceStationInfo-r15.c
    LPP_Polygon.c
    LPP_PolygonPoints.c
    LPP_PositioningModes.c
    LPP_PressureValidityArea-v1520.c
    LPP_PressureValidityPeriod-v1520.c
    LPP_ProvideAssistanceData.c
    LPP_ProvideAssistanceData-r9-IEs.c
    LPP_ProvideCapabilities.c
    LPP_ProvideCapabilities-r9-IEs.c
    LPP_ProvideLocationInformation.c
    LPP_ProvideLocationInformation-r9-IEs.c
    LPP_PRS-Info.c
    LPP_PRS-Info-NB-r14.c
    LPP_PRS-ProcessingCapabilityPerBand-r16.c
    LPP_QoS.c
    LPP_ReferencePoint-r16.c
    LPP_ReferenceStationList-r16.c
    LPP_ReferenceTRP-RTD-Info-r16.c
    LPP_RegionIgpElement-r16.c
    LPP_RegionIgpList-r16.c
    LPP_RelativeLocationElement-r16.c
    LPP_RelativeLocation-r16.c
    LPP_ReportingDuration.c
    LPP_ReqNavListInfo.c
    LPP_RequestAssistanceData.c
    LPP_RequestAssistanceData-r9-IEs.c
    LPP_RequestCapabilities.c
    LPP_RequestCapabilities-r9-IEs.c
    LPP_RequestLocationInformation.c
    LPP_RequestLocationInformation-r9-IEs.c
    LPP_ResponseTime.c
    LPP_ResponseTimeNB-r14.c
    LPP_ResultsPerCSI-RS-IndexList-r16.c
    LPP_ResultsPerCSI-RS-Index-r16.c
    LPP_ResultsPerSSB-IndexList-r16.c
    LPP_ResultsPerSSB-Index-r16.c
    LPP_RTD-InfoElement-r16.c
    LPP_RTD-InfoListPerFreqLayer-r16.c
    LPP_RTD-InfoList-r16.c
    LPP_RTK-CorrectionDifferencesElement-r15.c
    LPP_RTK-CorrectionDifferencesList-r15.c
    LPP_RTK-Residuals-Element-r15.c
    LPP_RTK-Residuals-List-r15.c
    LPP_SatListElement-r15.c
    LPP_SatListRelatedDataElement.c
    LPP_SatListRelatedDataList.c
    LPP_SBAS-ClockModel.c
    LPP_SBAS-ID.c
    LPP_SBAS-IDs.c
    LPP_SegmentationInfo-r14.c
    LPP_SegmentationInfo-r15.c
    LPP_Sensor-AssistanceDataList-r14.c
    LPP_Sensor-AssistanceDataSupportList-r14.c
    LPP_Sensor-Error-r13.c
    LPP_Sensor-LocationServerErrorCauses-r13.c
    LPP_Sensor-MeasurementInformation-r13.c
    LPP_Sensor-MotionInformation-r15.c
    LPP_Sensor-ProvideAssistanceData-r14.c
    LPP_Sensor-ProvideCapabilities-r13.c
    LPP_Sensor-ProvideLocationInformation-r13.c
    LPP_Sensor-RequestAssistanceData-r14.c
    LPP_Sensor-RequestCapabilities-r13.c
    LPP_Sensor-RequestLocationInformation-r13.c
    LPP_Sensor-TargetDeviceErrorCauses-r13.c
    LPP_SequenceNumber.c
    LPP_SFN-r15.c
    LPP_SpatialRelationsSRS-Pos-r16.c
    LPP_SRS-CapabilityPerBand-r16.c
    LPP_SRS-PosResourcesPerBand-r16.c
    LPP_SSR-ClockCorrectionList-r15.c
    LPP_SSR-ClockCorrectionSatelliteElement-r15.c
    LPP_SSR-CodeBiasSatElement-r15.c
    LPP_SSR-CodeBiasSatList-r15.c
    LPP_SSR-CodeBiasSignalElement-r15.c
    LPP_SSR-CodeBiasSignalList-r15.c
    LPP_SSR-OrbitCorrectionList-r15.c
    LPP_SSR-OrbitCorrectionSatelliteElement-r15.c
    LPP_SSR-PhaseBiasSatElement-r16.c
    LPP_SSR-PhaseBiasSatList-r16.c
    LPP_SSR-PhaseBiasSignalElement-r16.c
    LPP_SSR-PhaseBiasSignalList-r16.c
    LPP_SSR-URA-SatElement-r16.c
    LPP_SSR-URA-SatList-r16.c
    LPP_StandardClockModelElement.c
    LPP_StandardClockModelList.c
    LPP_STEC-ResidualSatElement-r16.c
    LPP_STEC-ResidualSatList-r16.c
    LPP_STEC-SatElement-r16.c
    LPP_STEC-SatList-r16.c
    LPP_StoredNavListInfo.c
    LPP_SupportedBandEUTRA.c
    LPP_SupportedBandEUTRA-v9a0.c
    LPP_SupportedChannels-11a-r14.c
    LPP_SupportedChannels-11bg-r14.c
    LPP_SV-ID.c
    LPP_TBS-AssistanceDataList-r14.c
    LPP_TBS-Error-r13.c
    LPP_TBS-LocationServerErrorCauses-r13.c
    LPP_TBS-MeasurementInformation-r13.c
    LPP_TBS-ProvideAssistanceData-r14.c
    LPP_TBS-ProvideCapabilities-r13.c
    LPP_TBS-ProvideLocationInformation-r13.c
    LPP_TBS-RequestAssistanceData-r14.c
    LPP_TBS-RequestCapabilities-r13.c
    LPP_TBS-RequestLocationInformation-r13.c
    LPP_TBS-TargetDeviceErrorCauses-r13.c
    LPP_TDD-Config-v1520.c
    LPP_TransactionNumber.c
    LPP_TriggeredReportingCriteria.c
    LPP_TropospericDelayCorrection-r16.c
    LPP_TRP-LocationInfoElement-r16.c
    LPP_UpdateCapabilities-r15.c
    LPP_UTC-ModelSet1.c
    LPP_UTC-ModelSet2.c
    LPP_UTC-ModelSet3.c
    LPP_UTC-ModelSet4.c
    LPP_UTC-ModelSet5-r12.c
    LPP_UTC-Time-r15.c
    LPP_Velocity.c
    LPP_VelocityTypes.c
    LPP_VerticalAccuracy.c
    LPP_VerticalAccuracyExt-r15.c
    LPP_WLAN-AP-Data-r14.c
    LPP_WLAN-AP-Identifier-r13.c
    LPP_WLAN-AP-Location-r14.c
    LPP_WLAN-DataSet-r14.c
    LPP_WLAN-Error-r13.c
    LPP_WLAN-LocationServerErrorCauses-r13.c
    LPP_WLAN-MeasurementElement-r13.c
    LPP_WLAN-MeasurementInformation-r13.c
    LPP_WLAN-MeasurementList-r13.c
    LPP_WLAN-ProvideAssistanceData-r14.c
    LPP_WLAN-ProvideCapabilities-r13.c
    LPP_WLAN-ProvideLocationInformation-r13.c
    LPP_WLAN-RequestAssistanceData-r14.c
    LPP_WLAN-RequestCapabilities-r13.c
    LPP_WLAN-RequestLocationInformation-r13.c
    LPP_WLAN-RTT-r13.c
    LPP_WLAN-TargetDeviceErrorCauses-r13.c
    NativeEnumerated_aper.c
    NativeEnumerated.c
    NativeEnumerated_uper.c
    NativeEnumerated_xer.c
    NativeInteger_aper.c
    NativeInteger.c
    NativeInteger_print.c
    NativeInteger_rfill.c
    NativeInteger_uper.c
    NativeInteger_xer.c
    NULL_aper.c
    NULL.c
    NULL_print.c
    NULL_rfill.c
    NULL_uper.c
    NULL_xer.c
    ObjectDescriptor.c
    OBJECT_IDENTIFIER.c
    OBJECT_IDENTIFIER_print.c
    OBJECT_IDENTIFIER_rfill.c
    OBJECT_IDENTIFIER_xer.c
    OCTET_STRING_aper.c
    OCTET_STRING.c
    OCTET_STRING_print.c
    OCTET_STRING_rfill.c
    OCTET_STRING_uper.c
    OCTET_STRING_xer.c
    OPEN_TYPE_aper.c
    OPEN_TYPE.c
    OPEN_TYPE_uper.c
    OPEN_TYPE_xer.c
    per_decoder.c
    per_encoder.c
    per_opentype.c
    per_support.c
    uper_decoder.c
    uper_encoder.c
    uper_opentype.c
    uper_support.c
    UTCTime.c
    UTCTime_print.c
    UTCTime_rfill.c
    UTCTime_xer.c
    VisibleString.c
    xer_decoder.c
    xer_encoder.c
    xer_support.c
)

set(lpp_headers
    ANY.h
    aper_decoder.h
    aper_encoder.h
    aper_opentype.h
    aper_support.h
    asn_application.h
    asn_bit_data.h
    asn_codecs.h
    asn_codecs_prim.h
    asn_config.h
    asn_internal.h
    asn_ioc.h
    asn_random_fill.h
    asn_SEQUENCE_OF.h
    asn_SET_OF.h
    asn_system.h
    ber_tlv_length.h
    ber_tlv_tag.h
    BIT_STRING.h
    BOOLEAN.h
    constraints.h
    constr_CHOICE.h
    constr_SEQUENCE.h
    constr_SEQUENCE_OF.h
    constr_SET_OF.h
    constr_TYPE.h
    GeneralizedTime.h
    GraphicString.h
    INTEGER.h
    LPP_Abort.h
    LPP_Abort-r9-IEs.h
    LPP_AccessTypes.h
    LPP_Acknowledgement.h
    LPP_AdditionalInformation.h
    LPP_AdditionalPathList-r14.h
    LPP_AdditionalPath-r14.h
    LPP_Add-PRSconfigNeighbourElement-r14.h
    LPP_A-GNSS-Error.h
    LPP_A-GNSS-ProvideAssistanceData.h
    LPP_A-GNSS-ProvideCapabilities.h
    LPP_A-GNSS-ProvideLocationInformation.h
    LPP_A-GNSS-RequestAssistanceData.h
    LPP_A-GNSS-RequestCapabilities.h
    LPP_A-GNSS-RequestLocationInformation.h
    LPP_AlmanacBDS-AlmanacSet-r12.h
    LPP_AlmanacECEF-SBAS-AlmanacSet.h
    LPP_AlmanacGLONASS-AlmanacSet.h
    LPP_AlmanacKeplerianSet.h
    LPP_AlmanacMidiAlmanacSet.h
    LPP_AlmanacNavIC-AlmanacSet-r16.h
    LPP_AlmanacNAV-KeplerianSet.h
    LPP_AlmanacReducedKeplerianSet.h
    LPP_AntennaDescription-r15.h
    LPP_AntennaReferencePointUnc-r15.h
    LPP_ARFCN-ValueEUTRA.h
    LPP_ARFCN-ValueEUTRA-r14.h
    LPP_ARFCN-ValueEUTRA-v9a0.h
    LPP_ARFCN-ValueNR-r15.h
    LPP_ARFCN-ValueUTRA.h
    LPP_asn_constant.h
    LPP_AssistanceDataSIBelement-r15.h
    LPP_AssistanceDataSupportList.h
    LPP_Aux-ARP-Unc-r15.h
    LPP_AuxiliaryStationElement-r15.h
    LPP_AuxiliaryStationList-r15.h
    LPP_AUX-ReferenceStationID-Element-r15.h
    LPP_AUX-ReferenceStationList-r15.h
    LPP_BadSignalElement.h
    LPP_BDS-ClockModel2-r16.h
    LPP_BDS-ClockModel-r12.h
    LPP_BDS-DifferentialCorrections-r12.h
    LPP_BDS-DifferentialCorrectionsReq-r12.h
    LPP_BDS-DifferentialCorrectionsSupport-r12.h
    LPP_BDS-GridModelParameter-r12.h
    LPP_BDS-GridModelReq-r12.h
    LPP_BDS-GridModelSupport-r12.h
    LPP_BDS-SgnTypeElement-r12.h
    LPP_BDS-SgnTypeList-r12.h
    LPP_BT-Error-r13.h
    LPP_BT-LocationServerErrorCauses-r13.h
    LPP_BT-MeasurementElement-r13.h
    LPP_BT-MeasurementInformation-r13.h
    LPP_BT-MeasurementList-r13.h
    LPP_BT-ProvideCapabilities-r13.h
    LPP_BT-ProvideLocationInformation-r13.h
    LPP_BT-RequestCapabilities-r13.h
    LPP_BT-RequestLocationInformation-r13.h
    LPP_BT-TargetDeviceErrorCauses-r13.h
    LPP_CarrierFreq-NB-r14.h
    LPP_CarrierFreqOffsetNB-r14.h
    LPP_CellGlobalIdEUTRA-AndUTRA.h
    LPP_CellGlobalIdGERAN.h
    LPP_CipheringKeyData-r15.h
    LPP_CNAV-ClockModel.h
    LPP_CommonIEsAbort.h
    LPP_CommonIEsError.h
    LPP_CommonIEsProvideAssistanceData.h
    LPP_CommonIEsProvideCapabilities.h
    LPP_CommonIEsProvideLocationInformation.h
    LPP_CommonIEsRequestAssistanceData.h
    LPP_CommonIEsRequestCapabilities.h
    LPP_CommonIEsRequestLocationInformation.h
    LPP_DBDS-CorrectionElement-r12.h
    LPP_DBDS-CorrectionList-r12.h
    LPP_Delta-Height-r16.h
    LPP_Delta-Latitude-r16.h
    LPP_Delta-Longitude-r16.h
    LPP_DeltaTime-r15.h
    LPP_DGNSS-CorrectionsElement.h
    LPP_DGNSS-SatList.h
    LPP_DGNSS-SgnTypeElement.h
    LPP_DGNSS-SgnTypeList.h
    LPP_DisplacementInfoListElement-r15.h
    LPP_DisplacementInfoList-r15.h
    LPP_Displacement-r15.h
    LPP_DisplacementTimeStamp-r15.h
    LPP_DL-AoD-MeasCapabilityPerBand-r16.h
    LPP_DL-PRS-BeamInfoElement-r16.h
    LPP_DL-PRS-BeamInfoResourceSet-r16.h
    LPP_DL-PRS-BeamInfoSet-r16.h
    LPP_DL-PRS-ID-Info-r16.h
    LPP_DL-PRS-MutingOption1-r16.h
    LPP_DL-PRS-MutingOption2-r16.h
    LPP_DL-PRS-QCL-Info-r16.h
    LPP_DL-PRS-QCL-ProcessingCapabilityPerBand-r16.h
    LPP_DL-PRS-Resource-ARP-Element-r16.h
    LPP_DL-PRS-ResourcesBandCombinationList-r16.h
    LPP_DL-PRS-ResourcesBandCombination-r16.h
    LPP_DL-PRS-ResourcesCapabilityPerBand-r16.h
    LPP_DL-PRS-ResourceSets-TRP-Element-r16.h
    LPP_DL-SelectedPRS-ResourceIndex-r16.h
    LPP_DL-SelectedPRS-ResourceSetIndex-r16.h
    LPP_EarlyFixReport-r12.h
    LPP_ECGI.h
    LPP_ECID-Error.h
    LPP_ECID-LocationServerErrorCauses.h
    LPP_ECID-ProvideCapabilities.h
    LPP_ECID-ProvideLocationInformation.h
    LPP_ECID-RequestCapabilities.h
    LPP_ECID-RequestLocationInformation.h
    LPP_ECID-SignalMeasurementInformation.h
    LPP_ECID-TargetDeviceErrorCauses.h
    LPP_EllipsoidArc.h
    LPP_Ellipsoid-Point.h
    LPP_EllipsoidPointWithAltitudeAndUncertaintyEllipsoid.h
    LPP_EllipsoidPointWithAltitude.h
    LPP_Ellipsoid-PointWithUncertaintyCircle.h
    LPP_EllipsoidPointWithUncertaintyEllipse.h
    LPP_Environment.h
    LPP_EPDU-Body.h
    LPP_EPDU.h
    LPP_EPDU-Identifier.h
    LPP_EPDU-ID.h
    LPP_EPDU-Name.h
    LPP_EPDU-Sequence.h
    LPP_EqualIntegerAmbiguityLevel-r16.h
    LPP_Error.h
    LPP_Error-r9-IEs.h
    LPP_EXTERNAL.h
    LPP_FKP-Gradients-Element-r15.h
    LPP_FKP-Gradients-List-r15.h
    LPP_FreqBandIndicatorNR-r16.h
    LPP_Geometric-Ionospheric-Corrections-Differences-Element-r15.h
    LPP_Geometric-Ionospheric-Corrections-Differences-r15.h
    LPP_GLONASS-ClockModel.h
    LPP_GLO-RTK-BiasInformation-r15.h
    LPP_GLO-RTK-BiasInformationReq-r15.h
    LPP_GLO-RTK-BiasInformationSupport-r15.h
    LPP_GNSS-AcquisitionAssistance.h
    LPP_GNSS-AcquisitionAssistanceReq.h
    LPP_GNSS-AcquisitionAssistanceSupport.h
    LPP_GNSS-AcquisitionAssistElement.h
    LPP_GNSS-AcquisitionAssistList.h
    LPP_GNSS-AlmanacElement.h
    LPP_GNSS-Almanac.h
    LPP_GNSS-AlmanacList.h
    LPP_GNSS-AlmanacReq.h
    LPP_GNSS-AlmanacSupport.h
    LPP_GNSS-AuxiliaryInformation.h
    LPP_GNSS-AuxiliaryInformationReq.h
    LPP_GNSS-AuxiliaryInformationSupport.h
    LPP_GNSS-BadSignalList.h
    LPP_GNSS-ClockModel.h
    LPP_GNSS-CommonAssistanceDataSupport.h
    LPP_GNSS-CommonAssistData.h
    LPP_GNSS-CommonAssistDataReq.h
    LPP_GNSS-DataBitAssistance.h
    LPP_GNSS-DataBitAssistanceReq.h
    LPP_GNSS-DataBitAssistanceSupport.h
    LPP_GNSS-DataBitsReqSatElement.h
    LPP_GNSS-DataBitsReqSatList.h
    LPP_GNSS-DataBitsSatElement.h
    LPP_GNSS-DataBitsSatList.h
    LPP_GNSS-DataBitsSgnElement.h
    LPP_GNSS-DataBitsSgnList.h
    LPP_GNSS-DifferentialCorrections.h
    LPP_GNSS-DifferentialCorrectionsReq.h
    LPP_GNSS-DifferentialCorrectionsSupport.h
    LPP_GNSS-EarthOrientationParameters.h
    LPP_GNSS-EarthOrientationParametersReq.h
    LPP_GNSS-EarthOrientationParametersSupport.h
    LPP_GNSS-FrequencyID-r15.h
    LPP_GNSS-GenericAssistanceDataSupport.h
    LPP_GNSS-GenericAssistDataElement.h
    LPP_GNSS-GenericAssistData.h
    LPP_GNSS-GenericAssistDataReqElement.h
    LPP_GNSS-GenericAssistDataReq.h
    LPP_GNSS-GenericAssistDataSupportElement.h
    LPP_GNSS-ID-BDS-r16.h
    LPP_GNSS-ID-BDS-SatElement-r16.h
    LPP_GNSS-ID-Bitmap.h
    LPP_GNSS-ID-GLONASS.h
    LPP_GNSS-ID-GLONASS-SatElement.h
    LPP_GNSS-ID-GPS.h
    LPP_GNSS-ID-GPS-SatElement.h
    LPP_GNSS-ID.h
    LPP_GNSS-IonosphericModel.h
    LPP_GNSS-IonosphericModelReq.h
    LPP_GNSS-IonosphericModelSupport.h
    LPP_GNSS-Link-CombinationsList-r15.h
    LPP_GNSS-Link-Combinations-r15.h
    LPP_GNSS-LocationInformation.h
    LPP_GNSS-LocationServerErrorCauses.h
    LPP_GNSS-MeasurementForOneGNSS.h
    LPP_GNSS-MeasurementList.h
    LPP_GNSS-NavigationModel.h
    LPP_GNSS-NavigationModelReq.h
    LPP_GNSS-NavigationModelSupport.h
    LPP_GNSS-NavListInfo-r15.h
    LPP_GNSS-NavModelSatelliteElement.h
    LPP_GNSS-NavModelSatelliteList.h
    LPP_GNSS-NetworkID-r15.h
    LPP_GNSS-ObservationList-r15.h
    LPP_GNSS-OrbitModel.h
    LPP_GNSS-PeriodicAssistData-r15.h
    LPP_GNSS-PeriodicAssistDataReq-r15.h
    LPP_GNSS-PeriodicControlParam-r15.h
    LPP_GNSS-PositioningInstructions.h
    LPP_GNSS-RealTimeIntegrity.h
    LPP_GNSS-RealTimeIntegrityReq.h
    LPP_GNSS-RealTimeIntegritySupport.h
    LPP_GNSS-ReferenceLocation.h
    LPP_GNSS-ReferenceLocationReq.h
    LPP_GNSS-ReferenceLocationSupport.h
    LPP_GNSS-ReferenceStationID-r15.h
    LPP_GNSS-ReferenceTimeForOneCell.h
    LPP_GNSS-ReferenceTime.h
    LPP_GNSS-ReferenceTimeReq.h
    LPP_GNSS-ReferenceTimeSupport.h
    LPP_GNSS-RTK-AuxiliaryStationData-r15.h
    LPP_GNSS-RTK-AuxiliaryStationDataReq-r15.h
    LPP_GNSS-RTK-AuxiliaryStationDataSupport-r15.h
    LPP_GNSS-RTK-CommonObservationInfo-r15.h
    LPP_GNSS-RTK-FKP-Gradients-r15.h
    LPP_GNSS-RTK-FKP-GradientsReq-r15.h
    LPP_GNSS-RTK-FKP-GradientsSupport-r15.h
    LPP_GNSS-RTK-MAC-CorrectionDifferences-r15.h
    LPP_GNSS-RTK-MAC-CorrectionDifferencesReq-r15.h
    LPP_GNSS-RTK-MAC-CorrectionDifferencesSupport-r15.h
    LPP_GNSS-RTK-Observations-r15.h
    LPP_GNSS-RTK-ObservationsReq-r15.h
    LPP_GNSS-RTK-ObservationsSupport-r15.h
    LPP_GNSS-RTK-ReferenceStationInfo-r15.h
    LPP_GNSS-RTK-ReferenceStationInfoReq-r15.h
    LPP_GNSS-RTK-ReferenceStationInfoSupport-r15.h
    LPP_GNSS-RTK-Residuals-r15.h
    LPP_GNSS-RTK-ResidualsReq-r15.h
    LPP_GNSS-RTK-ResidualsSupport-r15.h
    LPP_GNSS-RTK-SatelliteDataElement-r15.h
    LPP_GNSS-RTK-SatelliteSignalDataElement-r15.h
    LPP_GNSS-RTK-SatelliteSignalDataList-r15.h
    LPP_GNSS-SatMeasElement.h
    LPP_GNSS-SatMeasList.h
    LPP_GNSS-SgnMeasElement.h
    LPP_GNSS-SgnMeasList.h
    LPP_GNSS-SignalID.h
    LPP_GNSS-SignalIDs.h
    LPP_GNSS-SignalMeasurementInformation.h
    LPP_GNSS-SSR-ArrayOfCorrectionPoints-r16.h
    LPP_GNSS-SSR-ClockCorrections-r15.h
    LPP_GNSS-SSR-ClockCorrectionsReq-r15.h
    LPP_GNSS-SSR-ClockCorrectionsSupport-r15.h
    LPP_GNSS-SSR-CodeBias-r15.h
    LPP_GNSS-SSR-CodeBiasReq-r15.h
    LPP_GNSS-SSR-CodeBiasSupport-r15.h
    LPP_GNSS-SSR-CorrectionPoints-r16.h
    LPP_GNSS-SSR-CorrectionPointsReq-r16.h
    LPP_GNSS-SSR-GriddedCorrection-r16.h
    LPP_GNSS-SSR-GriddedCorrectionReq-r16.h
    LPP_GNSS-SSR-GriddedCorrectionSupport-r16.h
    LPP_GNSS-SSR-ListOfCorrectionPoints-r16.h
    LPP_GNSS-SSR-OrbitCorrections-r15.h
    LPP_GNSS-SSR-OrbitCorrectionsReq-r15.h
    LPP_GNSS-SSR-OrbitCorrectionsSupport-r15.h
    LPP_GNSS-SSR-PhaseBias-r16.h
    LPP_GNSS-SSR-PhaseBiasReq-r16.h
    LPP_GNSS-SSR-PhaseBiasSupport-r16.h
    LPP_GNSS-SSR-STEC-Correction-r16.h
    LPP_GNSS-SSR-STEC-CorrectionReq-r16.h
    LPP_GNSS-SSR-STEC-CorrectionSupport-r16.h
    LPP_GNSS-SSR-URA-r16.h
    LPP_GNSS-SSR-URA-Req-r16.h
    LPP_GNSS-SSR-URA-Support-r16.h
    LPP_GNSS-SubNetworkID-r15.h
    LPP_GNSS-SupportElement.h
    LPP_GNSS-SupportList.h
    LPP_GNSS-SystemTime.h
    LPP_GNSS-TargetDeviceErrorCauses.h
    LPP_GNSS-TimeModelElement.h
    LPP_GNSS-TimeModelElementReq.h
    LPP_GNSS-TimeModelList.h
    LPP_GNSS-TimeModelListReq.h
    LPP_GNSS-TimeModelListSupport.h
    LPP_GNSS-UTC-Model.h
    LPP_GNSS-UTC-ModelReq.h
    LPP_GNSS-UTC-ModelSupport.h
    LPP_GPS-TOW-AssistElement.h
    LPP_GPS-TOW-Assist.h
    LPP_GridElement-r16.h
    LPP_GridIonElement-r12.h
    LPP_GridIonList-r12.h
    LPP_GridList-r16.h
    LPP_HighAccuracyEllipsoidPointWithAltitudeAndUncertaintyEllipsoid-r15.h
    LPP_HighAccuracyEllipsoidPointWithUncertaintyEllipse-r15.h
    LPP_HorizontalAccuracyExt-r15.h
    LPP_HorizontalAccuracy.h
    LPP_HorizontalVelocity.h
    LPP_HorizontalVelocityWithUncertainty.h
    LPP_HorizontalWithVerticalVelocityAndUncertainty.h
    LPP_HorizontalWithVerticalVelocity.h
    LPP_Initiator.h
    LPP_KlobucharModel2Parameter-r16.h
    LPP_KlobucharModelParameter.h
    LPP_LCS-GCS-TranslationParameter-r16.h
    LPP_LocationCoordinates.h
    LPP_LocationCoordinateTypes.h
    LPP_LocationDataLCI-r14.h
    LPP_LocationError.h
    LPP_LocationFailureCause.h
    LPP_LocationInformationType.h
    LPP_LocationSource-r13.h
    LPP_LocationUncertainty-r16.h
    LPP_LPP-MessageBody.h
    LPP_LPP-Message.h
    LPP_LPP-TransactionID.h
    LPP_MBS-AcquisitionAssistance-r14.h
    LPP_MBS-AlmanacAssistance-r14.h
    LPP_MBS-AssistanceDataElement-r14.h
    LPP_MBS-AssistanceDataList-r14.h
    LPP_MBS-AssistanceDataSupportList-r14.h
    LPP_MBS-BeaconMeasElement-r13.h
    LPP_MBS-BeaconMeasList-r13.h
    LPP_MeasQuantityResults-r16.h
    LPP_MeasuredResultsElement.h
    LPP_MeasuredResultsList.h
    LPP_MeasurementReferenceTime.h
    LPP_MessageSizeLimitNB-r14.h
    LPP_MotionTimeSource-r15.h
    LPP_NAV-ClockModel.h
    LPP_NavIC-CDC-r16.h
    LPP_NavIC-ClockModel-r16.h
    LPP_NavIC-CorrectionElementAutoNav-r16.h
    LPP_NavIC-CorrectionListAutoNav-r16.h
    LPP_NavIC-DifferentialCorrections-r16.h
    LPP_NavIC-DifferentialCorrectionsReq-r16.h
    LPP_NavIC-DifferentialCorrectionsSupport-r16.h
    LPP_NavIC-EDC-r16.h
    LPP_NavIC-GridModelParameter-r16.h
    LPP_NavIC-GridModelReq-r16.h
    LPP_NavIC-GridModelSupport-r16.h
    LPP_NavModel-BDS-KeplerianSet2-r16.h
    LPP_NavModel-BDS-KeplerianSet-r12.h
    LPP_NavModelCNAV-KeplerianSet.h
    LPP_NavModel-GLONASS-ECEF.h
    LPP_NavModelKeplerianSet.h
    LPP_NavModel-NavIC-KeplerianSet-r16.h
    LPP_NavModelNAV-KeplerianSet.h
    LPP_NavModel-SBAS-ECEF.h
    LPP_NCGI-r15.h
    LPP_NeighbourMeasurementElement.h
    LPP_NeighbourMeasurementElement-NB-r14.h
    LPP_NeighbourMeasurementList.h
    LPP_NeighbourMeasurementList-NB-r14.h
    LPP_NeQuickModelParameter.h
    LPP_NetworkTime.h
    LPP_NPRS-Info-r14.h
    LPP_NR-AdditionalPathList-r16.h
    LPP_NR-AdditionalPath-r16.h
    LPP_NR-DL-AoD-AdditionalMeasurementElement-r16.h
    LPP_NR-DL-AoD-AdditionalMeasurements-r16.h
    LPP_NR-DL-AoD-Error-r16.h
    LPP_NR-DL-AoD-LocationInformation-r16.h
    LPP_NR-DL-AoD-LocationServerErrorCauses-r16.h
    LPP_NR-DL-AoD-MeasElement-r16.h
    LPP_NR-DL-AoD-MeasList-r16.h
    LPP_NR-DL-AoD-MeasurementCapability-r16.h
    LPP_NR-DL-AoD-ProvideAssistanceData-r16.h
    LPP_NR-DL-AoD-ProvideCapabilities-r16.h
    LPP_NR-DL-AoD-ProvideLocationInformation-r16.h
    LPP_NR-DL-AoD-ReportConfig-r16.h
    LPP_NR-DL-AoD-RequestAssistanceData-r16.h
    LPP_NR-DL-AoD-RequestCapabilities-r16.h
    LPP_NR-DL-AoD-RequestLocationInformation-r16.h
    LPP_NR-DL-AoD-SignalMeasurementInformation-r16.h
    LPP_NR-DL-AoD-TargetDeviceErrorCauses-r16.h
    LPP_NR-DL-PRS-AssistanceDataPerFreq-r16.h
    LPP_NR-DL-PRS-AssistanceDataPerTRP-r16.h
    LPP_NR-DL-PRS-AssistanceData-r16.h
    LPP_NR-DL-PRS-BeamInfoPerFreqLayer-r16.h
    LPP_NR-DL-PRS-BeamInfoPerTRP-r16.h
    LPP_NR-DL-PRS-BeamInfo-r16.h
    LPP_NR-DL-PRS-Info-r16.h
    LPP_NR-DL-PRS-Periodicity-and-ResourceSetSlotOffset-r16.h
    LPP_NR-DL-PRS-PositioningFrequencyLayer-r16.h
    LPP_NR-DL-PRS-ProcessingCapability-r16.h
    LPP_NR-DL-PRS-QCL-ProcessingCapability-r16.h
    LPP_NR-DL-PRS-ResourceID-r16.h
    LPP_NR-DL-PRS-Resource-r16.h
    LPP_NR-DL-PRS-ResourcesCapability-r16.h
    LPP_NR-DL-PRS-ResourceSetID-r16.h
    LPP_NR-DL-PRS-ResourceSet-r16.h
    LPP_NR-DL-PRS-SFN0-Offset-r16.h
    LPP_NR-DL-TDOA-AdditionalMeasurementElement-r16.h
    LPP_NR-DL-TDOA-AdditionalMeasurements-r16.h
    LPP_NR-DL-TDOA-Error-r16.h
    LPP_NR-DL-TDOA-LocationInformation-r16.h
    LPP_NR-DL-TDOA-LocationServerErrorCauses-r16.h
    LPP_NR-DL-TDOA-MeasElement-r16.h
    LPP_NR-DL-TDOA-MeasList-r16.h
    LPP_NR-DL-TDOA-MeasurementCapability-r16.h
    LPP_NR-DL-TDOA-ProvideAssistanceData-r16.h
    LPP_NR-DL-TDOA-ProvideCapabilities-r16.h
    LPP_NR-DL-TDOA-ProvideLocationInformation-r16.h
    LPP_NR-DL-TDOA-ReportConfig-r16.h
    LPP_NR-DL-TDOA-RequestAssistanceData-r16.h
    LPP_NR-DL-TDOA-RequestCapabilities-r16.h
    LPP_NR-DL-TDOA-RequestLocationInformation-r16.h
    LPP_NR-DL-TDOA-SignalMeasurementInformation-r16.h
    LPP_NR-DL-TDOA-TargetDeviceErrorCauses-r16.h
    LPP_NR-ECID-Error-r16.h
    LPP_NR-ECID-LocationServerErrorCauses-r16.h
    LPP_NR-ECID-ProvideCapabilities-r16.h
    LPP_NR-ECID-ProvideLocationInformation-r16.h
    LPP_NR-ECID-RequestCapabilities-r16.h
    LPP_NR-ECID-RequestLocationInformation-r16.h
    LPP_NR-ECID-SignalMeasurementInformation-r16.h
    LPP_NR-ECID-TargetDeviceErrorCauses-r16.h
    LPP_NR-MeasuredResultsElement-r16.h
    LPP_NR-MeasuredResultsList-r16.h
    LPP_NR-Multi-RTT-AdditionalMeasurementElement-r16.h
    LPP_NR-Multi-RTT-AdditionalMeasurements-r16.h
    LPP_NR-Multi-RTT-Error-r16.h
    LPP_NR-Multi-RTT-LocationServerErrorCauses-r16.h
    LPP_NR-Multi-RTT-MeasElement-r16.h
    LPP_NR-Multi-RTT-MeasList-r16.h
    LPP_NR-Multi-RTT-MeasurementCapability-r16.h
    LPP_NR-Multi-RTT-ProvideAssistanceData-r16.h
    LPP_NR-Multi-RTT-ProvideCapabilities-r16.h
    LPP_NR-Multi-RTT-ProvideLocationInformation-r16.h
    LPP_NR-Multi-RTT-ReportConfig-r16.h
    LPP_NR-Multi-RTT-RequestAssistanceData-r16.h
    LPP_NR-Multi-RTT-RequestCapabilities-r16.h
    LPP_NR-Multi-RTT-RequestLocationInformation-r16.h
    LPP_NR-Multi-RTT-SignalMeasurementInformation-r16.h
    LPP_NR-Multi-RTT-TargetDeviceErrorCauses-r16.h
    LPP_NR-MutingPattern-r16.h
    LPP_NR-PhysCellID-r16.h
    LPP_NR-PositionCalculationAssistance-r16.h
    LPP_NR-RTD-Info-r16.h
    LPP_NR-SelectedDL-PRS-IndexList-r16.h
    LPP_NR-SelectedDL-PRS-IndexPerTRP-r16.h
    LPP_NR-SelectedDL-PRS-PerFreq-r16.h
    LPP_NR-SSB-Config-r16.h
    LPP_NR-TimeStamp-r16.h
    LPP_NR-TimingQuality-r16.h
    LPP_NR-TRP-LocationInfoPerFreqLayer-r16.h
    LPP_NR-TRP-LocationInfo-r16.h
    LPP_NR-UEB-TRP-LocationData-r16.h
    LPP_NR-UEB-TRP-RTD-Info-r16.h
    LPP_NR-UL-ProvideCapabilities-r16.h
    LPP_NR-UL-RequestCapabilities-r16.h
    LPP_NR-UL-SRS-Capability-r16.h
    LPP_OLPC-SRS-Pos-r16.h
    LPP_OTDOA-Error.h
    LPP_OTDOA-LocationServerErrorCauses.h
    LPP_OTDOA-MeasQuality.h
    LPP_OTDOA-NeighbourCellInfoElement.h
    LPP_OTDOA-NeighbourCellInfoList.h
    LPP_OTDOA-NeighbourCellInfoListNB-r14.h
    LPP_OTDOA-NeighbourCellInfoNB-r14.h
    LPP_OTDOA-NeighbourFreqInfo.h
    LPP_OTDOA-ProvideAssistanceData.h
    LPP_OTDOA-ProvideCapabilities.h
    LPP_OTDOA-ProvideLocationInformation.h
    LPP_OTDOA-ReferenceCellInfo.h
    LPP_OTDOA-ReferenceCellInfoNB-r14.h
    LPP_OTDOA-RequestAssistanceData.h
    LPP_OTDOA-RequestCapabilities.h
    LPP_OTDOA-RequestLocationInformation.h
    LPP_OTDOA-SignalMeasurementInformation.h
    LPP_OTDOA-SignalMeasurementInformation-NB-r14.h
    LPP_OTDOA-TargetDeviceErrorCauses.h
    LPP_OTDOA-UE-Assisted-r15.h
    LPP_PeriodicalReportingCriteria.h
    LPP_PeriodicAssistanceDataControlParameters-r15.h
    LPP_PeriodicSessionID-r15.h
    LPP_PhysicalReferenceStationInfo-r15.h
    LPP_Polygon.h
    LPP_PolygonPoints.h
    LPP_PositioningModes.h
    LPP_PressureValidityArea-v1520.h
    LPP_PressureValidityPeriod-v1520.h
    LPP_ProvideAssistanceData.h
    LPP_ProvideAssistanceData-r9-IEs.h
    LPP_ProvideCapabilities.h
    LPP_ProvideCapabilities-r9-IEs.h
    LPP_ProvideLocationInformation.h
    LPP_ProvideLocationInformation-r9-IEs.h
    LPP_PRS-Info.h
    LPP_PRS-Info-NB-r14.h
    LPP_PRS-ProcessingCapabilityPerBand-r16.h
    LPP_QoS.h
    LPP_ReferencePoint-r16.h
    LPP_ReferenceStationList-r16.h
    LPP_ReferenceTRP-RTD-Info-r16.h
    LPP_RegionIgpElement-r16.h
    LPP_RegionIgpList-r16.h
    LPP_RelativeLocationElement-r16.h
    LPP_RelativeLocation-r16.h
    LPP_ReportingDuration.h
    LPP_ReqNavListInfo.h
    LPP_RequestAssistanceData.h
    LPP_RequestAssistanceData-r9-IEs.h
    LPP_RequestCapabilities.h
    LPP_RequestCapabilities-r9-IEs.h
    LPP_RequestLocationInformation.h
    LPP_RequestLocationInformation-r9-IEs.h
    LPP_ResponseTime.h
    LPP_ResponseTimeNB-r14.h
    LPP_ResultsPerCSI-RS-IndexList-r16.h
    LPP_ResultsPerCSI-RS-Index-r16.h
    LPP_ResultsPerSSB-IndexList-r16.h
    LPP_ResultsPerSSB-Index-r16.h
    LPP_RTD-InfoElement-r16.h
    LPP_RTD-InfoListPerFreqLayer-r16.h
    LPP_RTD-InfoList-r16.h
    LPP_RTK-CorrectionDifferencesElement-r15.h
    LPP_RTK-CorrectionDifferencesList-r15.h
    LPP_RTK-Residuals-Element-r15.h
    LPP_RTK-Residuals-List-r15.h
    LPP_SatListElement-r15.h
    LPP_SatListRelatedDataElement.h
    LPP_SatListRelatedDataList.h
    LPP_SBAS-ClockModel.h
    LPP_SBAS-ID.h
    LPP_SBAS-IDs.h
    LPP_SegmentationInfo-r14.h
    LPP_SegmentationInfo-r15.h
    LPP_Sensor-AssistanceDataList-r14.h
    LPP_Sensor-AssistanceDataSupportList-r14.h
    LPP_Sensor-Error-r13.h
    LPP_Sensor-LocationServerErrorCauses-r13.h
    LPP_Sensor-MeasurementInformation-r13.h
    LPP_Sensor-MotionInformation-r15.h
    LPP_Sensor-ProvideAssistanceData-r14.h
    LPP_Sensor-ProvideCapabilities-r13.h
    LPP_Sensor-ProvideLocationInformation-r13.h
    LPP_Sensor-RequestAssistanceData-r14.h
    LPP_Sensor-RequestCapabilities-r13.h
    LPP_Sensor-RequestLocationInformation-r13.h
    LPP_Sensor-TargetDeviceErrorCauses-r13.h
    LPP_SequenceNumber.h
    LPP_SFN-r15.h
    LPP_SpatialRelationsSRS-Pos-r16.h
    LPP_SRS-CapabilityPerBand-r16.h
    LPP_SRS-PosResourcesPerBand-r16.h
    LPP_SSR-ClockCorrectionList-r15.h
    LPP_SSR-ClockCorrectionSatelliteElement-r15.h
    LPP_SSR-CodeBiasSatElement-r15.h
    LPP_SSR-CodeBiasSatList-r15.h
    LPP_SSR-CodeBiasSignalElement-r15.h
    LPP_SSR-CodeBiasSignalList-r15.h
    LPP_SSR-OrbitCorrectionList-r15.h
    LPP_SSR-OrbitCorrectionSatelliteElement-r15.h
    LPP_SSR-PhaseBiasSatElement-r16.h
    LPP_SSR-PhaseBiasSatList-r16.h
    LPP_SSR-PhaseBiasSignalElement-r16.h
    LPP_SSR-PhaseBiasSignalList-r16.h
    LPP_SSR-URA-SatElement-r16.h
    LPP_SSR-URA-SatList-r16.h
    LPP_StandardClockModelElement.h
    LPP_StandardClockModelList.h
    LPP_STEC-ResidualSatElement-r16.h
    LPP_STEC-ResidualSatList-r16.h
    LPP_STEC-SatElement-r16.h
    LPP_STEC-SatList-r16.h
    LPP_StoredNavListInfo.h
    LPP_SupportedBandEUTRA.h
    LPP_SupportedBandEUTRA-v9a0.h
    LPP_SupportedChannels-11a-r14.h
    LPP_SupportedChannels-11bg-r14.h
    LPP_SV-ID.h
    LPP_TBS-AssistanceDataList-r14.h
    LPP_TBS-Error-r13.h
    LPP_TBS-LocationServerErrorCauses-r13.h
    LPP_TBS-MeasurementInformation-r13.h
    LPP_TBS-ProvideAssistanceData-r14.h
    LPP_TBS-ProvideCapabilities-r13.h
    LPP_TBS-ProvideLocationInformation-r13.h
    LPP_TBS-RequestAssistanceData-r14.h
    LPP_TBS-RequestCapabilities-r13.h
    LPP_TBS-RequestLocationInformation-r13.h
    LPP_TBS-TargetDeviceErrorCauses-r13.h
    LPP_TDD-Config-v1520.h
    LPP_TransactionNumber.h
    LPP_TriggeredReportingCriteria.h
    LPP_TropospericDelayCorrection-r16.h
    LPP_TRP-LocationInfoElement-r16.h
    LPP_UpdateCapabilities-r15.h
    LPP_UTC-ModelSet1.h
    LPP_UTC-ModelSet2.h
    LPP_UTC-ModelSet3.h
    LPP_UTC-ModelSet4.h
    LPP_UTC-ModelSet5-r12.h
    LPP_UTC-Time-r15.h
    LPP_Velocity.h
    LPP_VelocityTypes.h
    LPP_VerticalAccuracyExt-r15.h
    LPP_VerticalAccuracy.h
    LPP_WLAN-AP-Data-r14.h
    LPP_WLAN-AP-Identifier-r13.h
    LPP_WLAN-AP-Location-r14.h
    LPP_WLAN-DataSet-r14.h
    LPP_WLAN-Error-r13.h
    LPP_WLAN-LocationServerErrorCauses-r13.h
    LPP_WLAN-MeasurementElement-r13.h
    LPP_WLAN-MeasurementInformation-r13.h
    LPP_WLAN-MeasurementList-r13.h
    LPP_WLAN-ProvideAssistanceData-r14.h
    LPP_WLAN-ProvideCapabilities-r13.h
    LPP_WLAN-ProvideLocationInformation-r13.h
    LPP_WLAN-RequestAssistanceData-r14.h
    LPP_WLAN-RequestCapabilities-r13.h
    LPP_WLAN-RequestLocationInformation-r13.h
    LPP_WLAN-RTT-r13.h
    LPP_WLAN-TargetDeviceErrorCauses-r13.h
    NativeEnumerated.h
    NativeInteger.h
    NULL.h
    ObjectDescriptor.h
    OBJECT_IDENTIFIER.h
    OCTET_STRING.h
    OPEN_TYPE.h
    per_decoder.h
    per_encoder.h
    per_opentype.h
    per_support.h
    uper_decoder.h
    uper_encoder.h
    uper_opentype.h
    uper_support.h
    UTCTime.h
    VisibleString.h
    xer_decoder.h
    xer_encoder.h
    xer_support.h
)
