set(NGAP_GRAMMAR ASN1/ngap-15.8.0.asn1)

set(ngap_source
    ANY_aper.c
    ANY.c
    ANY_uper.c
    ANY_xer.c
    aper_decoder.c
    aper_encoder.c
    aper_opentype.c
    aper_support.c
    asn_application.c
    asn_bit_data.c
    asn_codecs_prim.c
    asn_codecs_prim_xer.c
    asn_internal.c
    asn_random_fill.c
    asn_SEQUENCE_OF.c
    asn_SET_OF.c
    ber_tlv_length.c
    ber_tlv_tag.c
    BIT_STRING.c
    BIT_STRING_print.c
    BIT_STRING_rfill.c
    BIT_STRING_uper.c
    BIT_STRING_xer.c
    constraints.c
    constr_CHOICE_aper.c
    constr_CHOICE.c
    constr_CHOICE_print.c
    constr_CHOICE_rfill.c
    constr_CHOICE_uper.c
    constr_CHOICE_xer.c
    constr_SEQUENCE_aper.c
    constr_SEQUENCE.c
    constr_SEQUENCE_OF_aper.c
    constr_SEQUENCE_OF.c
    constr_SEQUENCE_OF_uper.c
    constr_SEQUENCE_OF_xer.c
    constr_SEQUENCE_print.c
    constr_SEQUENCE_rfill.c
    constr_SEQUENCE_uper.c
    constr_SEQUENCE_xer.c
    constr_SET_OF_aper.c
    constr_SET_OF.c
    constr_SET_OF_print.c
    constr_SET_OF_rfill.c
    constr_SET_OF_uper.c
    constr_SET_OF_xer.c
    constr_TYPE.c
    GraphicString.c
    INTEGER_aper.c
    INTEGER.c
    INTEGER_print.c
    INTEGER_rfill.c
    INTEGER_uper.c
    INTEGER_xer.c
    NativeEnumerated_aper.c
    NativeEnumerated.c
    NativeEnumerated_uper.c
    NativeEnumerated_xer.c
    NativeInteger_aper.c
    NativeInteger.c
    NativeInteger_print.c
    NativeInteger_rfill.c
    NativeInteger_uper.c
    NativeInteger_xer.c
    NGAP_AdditionalDLUPTNLInformationForHOItem.c
    NGAP_AdditionalDLUPTNLInformationForHOList.c
    NGAP_AdditionalQosFlowInformation.c
    NGAP_AllocationAndRetentionPriority.c
    NGAP_AllowedNSSAI.c
    NGAP_AllowedNSSAI-Item.c
    NGAP_AllowedTACs.c
    NGAP_AMFConfigurationUpdateAcknowledge.c
    NGAP_AMFConfigurationUpdate.c
    NGAP_AMFConfigurationUpdateFailure.c
    NGAP_AMFName.c
    NGAP_AMFPagingTarget.c
    NGAP_AMFPointer.c
    NGAP_AMFRegionID.c
    NGAP_AMFSetID.c
    NGAP_AMFStatusIndication.c
    NGAP_AMF-TNLAssociationSetupItem.c
    NGAP_AMF-TNLAssociationSetupList.c
    NGAP_AMF-TNLAssociationToAddItem.c
    NGAP_AMF-TNLAssociationToAddList.c
    NGAP_AMF-TNLAssociationToRemoveItem.c
    NGAP_AMF-TNLAssociationToRemoveList.c
    NGAP_AMF-TNLAssociationToUpdateItem.c
    NGAP_AMF-TNLAssociationToUpdateList.c
    NGAP_AMF-UE-NGAP-ID.c
    NGAP_AreaOfInterest.c
    NGAP_AreaOfInterestCellItem.c
    NGAP_AreaOfInterestCellList.c
    NGAP_AreaOfInterestItem.c
    NGAP_AreaOfInterestList.c
    NGAP_AreaOfInterestRANNodeItem.c
    NGAP_AreaOfInterestRANNodeList.c
    NGAP_AreaOfInterestTAIItem.c
    NGAP_AreaOfInterestTAIList.c
    NGAP_AssistanceDataForPaging.c
    NGAP_AssistanceDataForRecommendedCells.c
    NGAP_AssociatedQosFlowItem.c
    NGAP_AssociatedQosFlowList.c
    NGAP_AveragingWindow.c
    NGAP_BitRate.c
    NGAP_BroadcastCancelledAreaList.c
    NGAP_BroadcastCompletedAreaList.c
    NGAP_BroadcastPLMNItem.c
    NGAP_BroadcastPLMNList.c
    NGAP_CancelAllWarningMessages.c
    NGAP_CancelledCellsInEAI-EUTRA.c
    NGAP_CancelledCellsInEAI-EUTRA-Item.c
    NGAP_CancelledCellsInEAI-NR.c
    NGAP_CancelledCellsInEAI-NR-Item.c
    NGAP_CancelledCellsInTAI-EUTRA.c
    NGAP_CancelledCellsInTAI-EUTRA-Item.c
    NGAP_CancelledCellsInTAI-NR.c
    NGAP_CancelledCellsInTAI-NR-Item.c
    NGAP_Cause.c
    NGAP_CauseMisc.c
    NGAP_CauseNas.c
    NGAP_CauseProtocol.c
    NGAP_CauseRadioNetwork.c
    NGAP_CauseTransport.c
    NGAP_CellIDBroadcastEUTRA.c
    NGAP_CellIDBroadcastEUTRA-Item.c
    NGAP_CellIDBroadcastNR.c
    NGAP_CellIDBroadcastNR-Item.c
    NGAP_CellIDCancelledEUTRA.c
    NGAP_CellIDCancelledEUTRA-Item.c
    NGAP_CellIDCancelledNR.c
    NGAP_CellIDCancelledNR-Item.c
    NGAP_CellIDListForRestart.c
    NGAP_CellSize.c
    NGAP_CellTrafficTrace.c
    NGAP_CellType.c
    NGAP_CNAssistedRANTuning.c
    NGAP_CNTypeRestrictionsForEquivalent.c
    NGAP_CNTypeRestrictionsForEquivalentItem.c
    NGAP_CNTypeRestrictionsForServing.c
    NGAP_CommonNetworkInstance.c
    NGAP_CompletedCellsInEAI-EUTRA.c
    NGAP_CompletedCellsInEAI-EUTRA-Item.c
    NGAP_CompletedCellsInEAI-NR.c
    NGAP_CompletedCellsInEAI-NR-Item.c
    NGAP_CompletedCellsInTAI-EUTRA.c
    NGAP_CompletedCellsInTAI-EUTRA-Item.c
    NGAP_CompletedCellsInTAI-NR.c
    NGAP_CompletedCellsInTAI-NR-Item.c
    NGAP_ConcurrentWarningMessageInd.c
    NGAP_ConfidentialityProtectionIndication.c
    NGAP_ConfidentialityProtectionResult.c
    NGAP_ConfiguredNSSAI.c
    NGAP_CoreNetworkAssistanceInformationForInactive.c
    NGAP_COUNTValueForPDCP-SN12.c
    NGAP_COUNTValueForPDCP-SN18.c
    NGAP_CPTransportLayerInformation.c
    NGAP_Criticality.c
    NGAP_CriticalityDiagnostics.c
    NGAP_CriticalityDiagnostics-IE-Item.c
    NGAP_CriticalityDiagnostics-IE-List.c
    NGAP_DataCodingScheme.c
    NGAP_DataForwardingAccepted.c
    NGAP_DataForwardingNotPossible.c
    NGAP_DataForwardingResponseDRBItem.c
    NGAP_DataForwardingResponseDRBList.c
    NGAP_DeactivateTrace.c
    NGAP_DelayCritical.c
    NGAP_DirectForwardingPathAvailability.c
    NGAP_DLForwarding.c
    NGAP_DL-NGU-TNLInformationReused.c
    NGAP_DownlinkNASTransport.c
    NGAP_DownlinkNonUEAssociatedNRPPaTransport.c
    NGAP_DownlinkRANConfigurationTransfer.c
    NGAP_DownlinkRANStatusTransfer.c
    NGAP_DownlinkUEAssociatedNRPPaTransport.c
    NGAP_DRB-ID.c
    NGAP_DRBsSubjectToStatusTransferItem.c
    NGAP_DRBsSubjectToStatusTransferList.c
    NGAP_DRBStatusDL12.c
    NGAP_DRBStatusDL18.c
    NGAP_DRBStatusDL.c
    NGAP_DRBStatusUL12.c
    NGAP_DRBStatusUL18.c
    NGAP_DRBStatusUL.c
    NGAP_DRBsToQosFlowsMappingItem.c
    NGAP_DRBsToQosFlowsMappingList.c
    NGAP_Dynamic5QIDescriptor.c
    NGAP_EmergencyAreaIDBroadcastEUTRA.c
    NGAP_EmergencyAreaIDBroadcastEUTRA-Item.c
    NGAP_EmergencyAreaIDBroadcastNR.c
    NGAP_EmergencyAreaIDBroadcastNR-Item.c
    NGAP_EmergencyAreaID.c
    NGAP_EmergencyAreaIDCancelledEUTRA.c
    NGAP_EmergencyAreaIDCancelledEUTRA-Item.c
    NGAP_EmergencyAreaIDCancelledNR.c
    NGAP_EmergencyAreaIDCancelledNR-Item.c
    NGAP_EmergencyAreaIDList.c
    NGAP_EmergencyAreaIDListForRestart.c
    NGAP_EmergencyFallbackIndicator.c
    NGAP_EmergencyFallbackRequestIndicator.c
    NGAP_EmergencyServiceTargetCN.c
    NGAP_EN-DCSONConfigurationTransfer.c
    NGAP_EndpointIPAddressAndPort.c
    NGAP_EPS-TAC.c
    NGAP_EPS-TAI.c
    NGAP_EquivalentPLMNs.c
    NGAP_E-RAB-ID.c
    NGAP_E-RABInformationItem.c
    NGAP_E-RABInformationList.c
    NGAP_ErrorIndication.c
    NGAP_EUTRACellIdentity.c
    NGAP_EUTRA-CGI.c
    NGAP_EUTRA-CGIList.c
    NGAP_EUTRA-CGIListForWarning.c
    NGAP_EUTRAencryptionAlgorithms.c
    NGAP_EUTRAintegrityProtectionAlgorithms.c
    NGAP_EventType.c
    NGAP_ExpectedActivityPeriod.c
    NGAP_ExpectedHOInterval.c
    NGAP_ExpectedIdlePeriod.c
    NGAP_ExpectedUEActivityBehaviour.c
    NGAP_ExpectedUEBehaviour.c
    NGAP_ExpectedUEMobility.c
    NGAP_ExpectedUEMovingTrajectory.c
    NGAP_ExpectedUEMovingTrajectoryItem.c
    NGAP_EXTERNAL.c
    NGAP_FiveG-S-TMSI.c
    NGAP_FiveG-TMSI.c
    NGAP_FiveQI.c
    NGAP_ForbiddenAreaInformation.c
    NGAP_ForbiddenAreaInformation-Item.c
    NGAP_ForbiddenTACs.c
    NGAP_GBR-QosInformation.c
    NGAP_GlobalGNB-ID.c
    NGAP_GlobalN3IWF-ID.c
    NGAP_GlobalNgENB-ID.c
    NGAP_GlobalRANNodeID.c
    NGAP_GNB-ID.c
    NGAP_GTP-TEID.c
    NGAP_GTPTunnel.c
    NGAP_GUAMI.c
    NGAP_HandoverCancelAcknowledge.c
    NGAP_HandoverCancel.c
    NGAP_HandoverCommand.c
    NGAP_HandoverCommandTransfer.c
    NGAP_HandoverFailure.c
    NGAP_HandoverFlag.c
    NGAP_HandoverNotify.c
    NGAP_HandoverPreparationFailure.c
    NGAP_HandoverPreparationUnsuccessfulTransfer.c
    NGAP_HandoverRequestAcknowledge.c
    NGAP_HandoverRequestAcknowledgeTransfer.c
    NGAP_HandoverRequest.c
    NGAP_HandoverRequired.c
    NGAP_HandoverRequiredTransfer.c
    NGAP_HandoverResourceAllocationUnsuccessfulTransfer.c
    NGAP_HandoverType.c
    NGAP_IMSVoiceSupportIndicator.c
    NGAP_IndexToRFSP.c
    NGAP_InfoOnRecommendedCellsAndRANNodesForPaging.c
    NGAP_InitialContextSetupFailure.c
    NGAP_InitialContextSetupRequest.c
    NGAP_InitialContextSetupResponse.c
    NGAP_InitialUEMessage.c
    NGAP_InitiatingMessage.c
    NGAP_IntegrityProtectionIndication.c
    NGAP_IntegrityProtectionResult.c
    NGAP_IntendedNumberOfPagingAttempts.c
    NGAP_InterfacesToTrace.c
    NGAP_LastVisitedCellInformation.c
    NGAP_LastVisitedCellItem.c
    NGAP_LastVisitedEUTRANCellInformation.c
    NGAP_LastVisitedGERANCellInformation.c
    NGAP_LastVisitedNGRANCellInformation.c
    NGAP_LastVisitedUTRANCellInformation.c
    NGAP_LocationReport.c
    NGAP_LocationReportingAdditionalInfo.c
    NGAP_LocationReportingControl.c
    NGAP_LocationReportingFailureIndication.c
    NGAP_LocationReportingReferenceID.c
    NGAP_LocationReportingRequestType.c
    NGAP_MaskedIMEISV.c
    NGAP_MaximumDataBurstVolume.c
    NGAP_MaximumIntegrityProtectedDataRate.c
    NGAP_MessageIdentifier.c
    NGAP_MICOModeIndication.c
    NGAP_MobilityRestrictionList.c
    NGAP_N3IWF-ID.c
    NGAP_NASNonDeliveryIndication.c
    NGAP_NAS-PDU.c
    NGAP_NASSecurityParametersFromNGRAN.c
    NGAP_NetworkInstance.c
    NGAP_NewSecurityContextInd.c
    NGAP_NextHopChainingCount.c
    NGAP_NextPagingAreaScope.c
    NGAP_NGAP-PDU.c
    NGAP_NgENB-ID.c
    NGAP_NGRAN-CGI.c
    NGAP_NGRAN-TNLAssociationToRemoveItem.c
    NGAP_NGRAN-TNLAssociationToRemoveList.c
    NGAP_NGRANTraceID.c
    NGAP_NGResetAcknowledge.c
    NGAP_NGReset.c
    NGAP_NGSetupFailure.c
    NGAP_NGSetupRequest.c
    NGAP_NGSetupResponse.c
    NGAP_NonDynamic5QIDescriptor.c
    NGAP_NotAllowedTACs.c
    NGAP_NotificationCause.c
    NGAP_NotificationControl.c
    NGAP_NRCellIdentity.c
    NGAP_NR-CGI.c
    NGAP_NR-CGIList.c
    NGAP_NR-CGIListForWarning.c
    NGAP_NRencryptionAlgorithms.c
    NGAP_NRintegrityProtectionAlgorithms.c
    NGAP_NRPPa-PDU.c
    NGAP_NumberOfBroadcasts.c
    NGAP_NumberOfBroadcastsRequested.c
    NGAP_OverloadAction.c
    NGAP_OverloadResponse.c
    NGAP_OverloadStart.c
    NGAP_OverloadStartNSSAIItem.c
    NGAP_OverloadStartNSSAIList.c
    NGAP_OverloadStop.c
    NGAP_PacketDelayBudget.c
    NGAP_PacketErrorRate.c
    NGAP_PacketLossRate.c
    NGAP_PagingAttemptCount.c
    NGAP_PagingAttemptInformation.c
    NGAP_Paging.c
    NGAP_PagingDRX.c
    NGAP_PagingOrigin.c
    NGAP_PagingPriority.c
    NGAP_PathSwitchRequestAcknowledge.c
    NGAP_PathSwitchRequestAcknowledgeTransfer.c
    NGAP_PathSwitchRequest.c
    NGAP_PathSwitchRequestFailure.c
    NGAP_PathSwitchRequestSetupFailedTransfer.c
    NGAP_PathSwitchRequestTransfer.c
    NGAP_PathSwitchRequestUnsuccessfulTransfer.c
    NGAP_PDUSessionAggregateMaximumBitRate.c
    NGAP_PDUSessionID.c
    NGAP_PDUSessionResourceAdmittedItem.c
    NGAP_PDUSessionResourceAdmittedList.c
    NGAP_PDUSessionResourceFailedToModifyItemModCfm.c
    NGAP_PDUSessionResourceFailedToModifyItemModRes.c
    NGAP_PDUSessionResourceFailedToModifyListModCfm.c
    NGAP_PDUSessionResourceFailedToModifyListModRes.c
    NGAP_PDUSessionResourceFailedToSetupItemCxtFail.c
    NGAP_PDUSessionResourceFailedToSetupItemCxtRes.c
    NGAP_PDUSessionResourceFailedToSetupItemHOAck.c
    NGAP_PDUSessionResourceFailedToSetupItemPSReq.c
    NGAP_PDUSessionResourceFailedToSetupItemSURes.c
    NGAP_PDUSessionResourceFailedToSetupListCxtFail.c
    NGAP_PDUSessionResourceFailedToSetupListCxtRes.c
    NGAP_PDUSessionResourceFailedToSetupListHOAck.c
    NGAP_PDUSessionResourceFailedToSetupListPSReq.c
    NGAP_PDUSessionResourceFailedToSetupListSURes.c
    NGAP_PDUSessionResourceHandoverItem.c
    NGAP_PDUSessionResourceHandoverList.c
    NGAP_PDUSessionResourceInformationItem.c
    NGAP_PDUSessionResourceInformationList.c
    NGAP_PDUSessionResourceItemCxtRelCpl.c
    NGAP_PDUSessionResourceItemCxtRelReq.c
    NGAP_PDUSessionResourceItemHORqd.c
    NGAP_PDUSessionResourceListCxtRelCpl.c
    NGAP_PDUSessionResourceListCxtRelReq.c
    NGAP_PDUSessionResourceListHORqd.c
    NGAP_PDUSessionResourceModifyConfirm.c
    NGAP_PDUSessionResourceModifyConfirmTransfer.c
    NGAP_PDUSessionResourceModifyIndication.c
    NGAP_PDUSessionResourceModifyIndicationTransfer.c
    NGAP_PDUSessionResourceModifyIndicationUnsuccessfulTransfer.c
    NGAP_PDUSessionResourceModifyItemModCfm.c
    NGAP_PDUSessionResourceModifyItemModInd.c
    NGAP_PDUSessionResourceModifyItemModReq.c
    NGAP_PDUSessionResourceModifyItemModRes.c
    NGAP_PDUSessionResourceModifyListModCfm.c
    NGAP_PDUSessionResourceModifyListModInd.c
    NGAP_PDUSessionResourceModifyListModReq.c
    NGAP_PDUSessionResourceModifyListModRes.c
    NGAP_PDUSessionResourceModifyRequest.c
    NGAP_PDUSessionResourceModifyRequestTransfer.c
    NGAP_PDUSessionResourceModifyResponse.c
    NGAP_PDUSessionResourceModifyResponseTransfer.c
    NGAP_PDUSessionResourceModifyUnsuccessfulTransfer.c
    NGAP_PDUSessionResourceNotify.c
    NGAP_PDUSessionResourceNotifyItem.c
    NGAP_PDUSessionResourceNotifyList.c
    NGAP_PDUSessionResourceNotifyReleasedTransfer.c
    NGAP_PDUSessionResourceNotifyTransfer.c
    NGAP_PDUSessionResourceReleaseCommand.c
    NGAP_PDUSessionResourceReleaseCommandTransfer.c
    NGAP_PDUSessionResourceReleasedItemNot.c
    NGAP_PDUSessionResourceReleasedItemPSAck.c
    NGAP_PDUSessionResourceReleasedItemPSFail.c
    NGAP_PDUSessionResourceReleasedItemRelRes.c
    NGAP_PDUSessionResourceReleasedListNot.c
    NGAP_PDUSessionResourceReleasedListPSAck.c
    NGAP_PDUSessionResourceReleasedListPSFail.c
    NGAP_PDUSessionResourceReleasedListRelRes.c
    NGAP_PDUSessionResourceReleaseResponse.c
    NGAP_PDUSessionResourceReleaseResponseTransfer.c
    NGAP_PDUSessionResourceSecondaryRATUsageItem.c
    NGAP_PDUSessionResourceSecondaryRATUsageList.c
    NGAP_PDUSessionResourceSetupItemCxtReq.c
    NGAP_PDUSessionResourceSetupItemCxtRes.c
    NGAP_PDUSessionResourceSetupItemHOReq.c
    NGAP_PDUSessionResourceSetupItemSUReq.c
    NGAP_PDUSessionResourceSetupItemSURes.c
    NGAP_PDUSessionResourceSetupListCxtReq.c
    NGAP_PDUSessionResourceSetupListCxtRes.c
    NGAP_PDUSessionResourceSetupListHOReq.c
    NGAP_PDUSessionResourceSetupListSUReq.c
    NGAP_PDUSessionResourceSetupListSURes.c
    NGAP_PDUSessionResourceSetupRequest.c
    NGAP_PDUSessionResourceSetupRequestTransfer.c
    NGAP_PDUSessionResourceSetupResponse.c
    NGAP_PDUSessionResourceSetupResponseTransfer.c
    NGAP_PDUSessionResourceSetupUnsuccessfulTransfer.c
    NGAP_PDUSessionResourceSwitchedItem.c
    NGAP_PDUSessionResourceSwitchedList.c
    NGAP_PDUSessionResourceToBeSwitchedDLItem.c
    NGAP_PDUSessionResourceToBeSwitchedDLList.c
    NGAP_PDUSessionResourceToReleaseItemHOCmd.c
    NGAP_PDUSessionResourceToReleaseItemRelCmd.c
    NGAP_PDUSessionResourceToReleaseListHOCmd.c
    NGAP_PDUSessionResourceToReleaseListRelCmd.c
    NGAP_PDUSessionType.c
    NGAP_PDUSessionUsageReport.c
    NGAP_PeriodicRegistrationUpdateTimer.c
    NGAP_PLMNIdentity.c
    NGAP_PLMNSupportItem.c
    NGAP_PLMNSupportList.c
    NGAP_PortNumber.c
    NGAP_Pre-emptionCapability.c
    NGAP_Pre-emptionVulnerability.c
    NGAP_Presence.c
    NGAP_PriorityLevelARP.c
    NGAP_PriorityLevelQos.c
    NGAP_PrivateIE-Container.c
    NGAP_PrivateIE-Field.c
    NGAP_PrivateIE-ID.c
    NGAP_PrivateMessage.c
    NGAP_ProcedureCode.c
    NGAP_ProtocolExtensionContainer.c
    NGAP_ProtocolExtensionField.c
    NGAP_ProtocolExtensionID.c
    NGAP_ProtocolIE-Container.c
    NGAP_ProtocolIE-ContainerList.c
    NGAP_ProtocolIE-ContainerPair.c
    NGAP_ProtocolIE-ContainerPairList.c
    NGAP_ProtocolIE-Field.c
    NGAP_ProtocolIE-FieldPair.c
    NGAP_ProtocolIE-ID.c
    NGAP_ProtocolIE-SingleContainer.c
    NGAP_PWSCancelRequest.c
    NGAP_PWSCancelResponse.c
    NGAP_PWSFailedCellIDList.c
    NGAP_PWSFailureIndication.c
    NGAP_PWSRestartIndication.c
    NGAP_QosCharacteristics.c
    NGAP_QosFlowAcceptedItem.c
    NGAP_QosFlowAcceptedList.c
    NGAP_QosFlowAddOrModifyRequestItem.c
    NGAP_QosFlowAddOrModifyRequestList.c
    NGAP_QosFlowAddOrModifyResponseItem.c
    NGAP_QosFlowAddOrModifyResponseList.c
    NGAP_QosFlowIdentifier.c
    NGAP_QosFlowInformationItem.c
    NGAP_QosFlowInformationList.c
    NGAP_QosFlowItemWithDataForwarding.c
    NGAP_QosFlowLevelQosParameters.c
    NGAP_QosFlowListWithCause.c
    NGAP_QosFlowListWithDataForwarding.c
    NGAP_QosFlowModifyConfirmItem.c
    NGAP_QosFlowModifyConfirmList.c
    NGAP_QosFlowNotifyItem.c
    NGAP_QosFlowNotifyList.c
    NGAP_QosFlowPerTNLInformation.c
    NGAP_QosFlowPerTNLInformationItem.c
    NGAP_QosFlowPerTNLInformationList.c
    NGAP_QosFlowSetupRequestItem.c
    NGAP_QosFlowSetupRequestList.c
    NGAP_QosFlowSetupResponseItemSURes.c
    NGAP_QosFlowSetupResponseListSURes.c
    NGAP_QoSFlowsUsageReport-Item.c
    NGAP_QoSFlowsUsageReportList.c
    NGAP_QosFlowToBeForwardedItem.c
    NGAP_QosFlowToBeForwardedList.c
    NGAP_QosFlowWithCauseItem.c
    NGAP_RANConfigurationUpdateAcknowledge.c
    NGAP_RANConfigurationUpdate.c
    NGAP_RANConfigurationUpdateFailure.c
    NGAP_RANNodeName.c
    NGAP_RANPagingPriority.c
    NGAP_RANStatusTransfer-TransparentContainer.c
    NGAP_RAN-UE-NGAP-ID.c
    NGAP_RATRestrictionInformation.c
    NGAP_RATRestrictions.c
    NGAP_RATRestrictions-Item.c
    NGAP_RecommendedCellItem.c
    NGAP_RecommendedCellList.c
    NGAP_RecommendedCellsForPaging.c
    NGAP_RecommendedRANNodeItem.c
    NGAP_RecommendedRANNodeList.c
    NGAP_RecommendedRANNodesForPaging.c
    NGAP_RedirectionVoiceFallback.c
    NGAP_ReferenceID.c
    NGAP_ReflectiveQosAttribute.c
    NGAP_RejectedNSSAIinPLMN.c
    NGAP_RejectedNSSAIinTA.c
    NGAP_RelativeAMFCapacity.c
    NGAP_RepetitionPeriod.c
    NGAP_ReportArea.c
    NGAP_RerouteNASRequest.c
    NGAP_ResetAll.c
    NGAP_ResetType.c
    NGAP_RoutingID.c
    NGAP_RRCContainer.c
    NGAP_RRCEstablishmentCause.c
    NGAP_RRCInactiveTransitionReport.c
    NGAP_RRCInactiveTransitionReportRequest.c
    NGAP_RRCState.c
    NGAP_SCTP-TLAs.c
    NGAP_SD.c
    NGAP_SecondaryRATDataUsageReport.c
    NGAP_SecondaryRATDataUsageReportTransfer.c
    NGAP_SecondaryRATUsageInformation.c
    NGAP_SecurityContext.c
    NGAP_SecurityIndication.c
    NGAP_SecurityKey.c
    NGAP_SecurityResult.c
    NGAP_SerialNumber.c
    NGAP_ServedGUAMIItem.c
    NGAP_ServedGUAMIList.c
    NGAP_ServiceAreaInformation.c
    NGAP_ServiceAreaInformation-Item.c
    NGAP_SliceOverloadItem.c
    NGAP_SliceOverloadList.c
    NGAP_SliceSupportItem.c
    NGAP_SliceSupportList.c
    NGAP_S-NSSAI.c
    NGAP_SONConfigurationTransfer.c
    NGAP_SONInformation.c
    NGAP_SONInformationReply.c
    NGAP_SONInformationRequest.c
    NGAP_SourceNGRANNode-ToTargetNGRANNode-TransparentContainer.c
    NGAP_SourceOfUEActivityBehaviourInformation.c
    NGAP_SourceRANNodeID.c
    NGAP_SourceToTarget-AMFInformationReroute.c
    NGAP_SourceToTarget-TransparentContainer.c
    NGAP_SST.c
    NGAP_SuccessfulOutcome.c
    NGAP_SupportedTAItem.c
    NGAP_SupportedTAList.c
    NGAP_TAC.c
    NGAP_TAIBroadcastEUTRA.c
    NGAP_TAIBroadcastEUTRA-Item.c
    NGAP_TAIBroadcastNR.c
    NGAP_TAIBroadcastNR-Item.c
    NGAP_TAI.c
    NGAP_TAICancelledEUTRA.c
    NGAP_TAICancelledEUTRA-Item.c
    NGAP_TAICancelledNR.c
    NGAP_TAICancelledNR-Item.c
    NGAP_TAIListForInactive.c
    NGAP_TAIListForInactiveItem.c
    NGAP_TAIListForPaging.c
    NGAP_TAIListForPagingItem.c
    NGAP_TAIListForRestart.c
    NGAP_TAIListForWarning.c
    NGAP_TargeteNB-ID.c
    NGAP_TargetID.c
    NGAP_TargetNGRANNode-ToSourceNGRANNode-TransparentContainer.c
    NGAP_TargetRANNodeID.c
    NGAP_TargetToSource-TransparentContainer.c
    NGAP_TimerApproachForGUAMIRemoval.c
    NGAP_TimeStamp.c
    NGAP_TimeToWait.c
    NGAP_TimeUEStayedInCell.c
    NGAP_TimeUEStayedInCellEnhancedGranularity.c
    NGAP_TNLAddressWeightFactor.c
    NGAP_TNLAssociationItem.c
    NGAP_TNLAssociationList.c
    NGAP_TNLAssociationUsage.c
    NGAP_TraceActivation.c
    NGAP_TraceDepth.c
    NGAP_TraceFailureIndication.c
    NGAP_TraceStart.c
    NGAP_TrafficLoadReductionIndication.c
    NGAP_TransportLayerAddress.c
    NGAP_TriggeringMessage.c
    NGAP_TypeOfError.c
    NGAP_UEAggregateMaximumBitRate.c
    NGAP_UE-associatedLogicalNG-connectionItem.c
    NGAP_UE-associatedLogicalNG-connectionList.c
    NGAP_UEContextModificationFailure.c
    NGAP_UEContextModificationRequest.c
    NGAP_UEContextModificationResponse.c
    NGAP_UEContextReleaseCommand.c
    NGAP_UEContextReleaseComplete.c
    NGAP_UEContextReleaseRequest.c
    NGAP_UEContextRequest.c
    NGAP_UEHistoryInformation.c
    NGAP_UEIdentityIndexValue.c
    NGAP_UE-NGAP-ID-pair.c
    NGAP_UE-NGAP-IDs.c
    NGAP_UEPagingIdentity.c
    NGAP_UEPresence.c
    NGAP_UEPresenceInAreaOfInterestItem.c
    NGAP_UEPresenceInAreaOfInterestList.c
    NGAP_UERadioCapability.c
    NGAP_UERadioCapabilityCheckRequest.c
    NGAP_UERadioCapabilityCheckResponse.c
    NGAP_UERadioCapabilityForPaging.c
    NGAP_UERadioCapabilityForPagingOfEUTRA.c
    NGAP_UERadioCapabilityForPagingOfNR.c
    NGAP_UERadioCapabilityInfoIndication.c
    NGAP_UERetentionInformation.c
    NGAP_UESecurityCapabilities.c
    NGAP_UETNLABindingReleaseRequest.c
    NGAP_ULForwarding.c
    NGAP_UL-NGU-UP-TNLModifyItem.c
    NGAP_UL-NGU-UP-TNLModifyList.c
    NGAP_UnavailableGUAMIItem.c
    NGAP_UnavailableGUAMIList.c
    NGAP_UnsuccessfulOutcome.c
    NGAP_UplinkNASTransport.c
    NGAP_UplinkNonUEAssociatedNRPPaTransport.c
    NGAP_UplinkRANConfigurationTransfer.c
    NGAP_UplinkRANStatusTransfer.c
    NGAP_UplinkUEAssociatedNRPPaTransport.c
    NGAP_UPTransportLayerInformation.c
    NGAP_UPTransportLayerInformationItem.c
    NGAP_UPTransportLayerInformationList.c
    NGAP_UPTransportLayerInformationPairItem.c
    NGAP_UPTransportLayerInformationPairList.c
    NGAP_UserLocationInformation.c
    NGAP_UserLocationInformationEUTRA.c
    NGAP_UserLocationInformationN3IWF.c
    NGAP_UserLocationInformationNR.c
    NGAP_UserPlaneSecurityInformation.c
    NGAP_VolumeTimedReport-Item.c
    NGAP_VolumeTimedReportList.c
    NGAP_WarningAreaCoordinates.c
    NGAP_WarningAreaList.c
    NGAP_WarningMessageContents.c
    NGAP_WarningSecurityInfo.c
    NGAP_WarningType.c
    NGAP_WriteReplaceWarningRequest.c
    NGAP_WriteReplaceWarningResponse.c
    NGAP_XnExtTLA-Item.c
    NGAP_XnExtTLAs.c
    NGAP_XnGTP-TLAs.c
    NGAP_XnTLAs.c
    NGAP_XnTNLConfigurationInfo.c
    ObjectDescriptor.c
    OBJECT_IDENTIFIER.c
    OBJECT_IDENTIFIER_print.c
    OBJECT_IDENTIFIER_rfill.c
    OBJECT_IDENTIFIER_xer.c
    OCTET_STRING_aper.c
    OCTET_STRING.c
    OCTET_STRING_print.c
    OCTET_STRING_rfill.c
    OCTET_STRING_uper.c
    OCTET_STRING_xer.c
    OPEN_TYPE_aper.c
    OPEN_TYPE.c
    OPEN_TYPE_uper.c
    OPEN_TYPE_xer.c
    per_decoder.c
    per_encoder.c
    per_opentype.c
    per_support.c
    PrintableString.c
    uper_decoder.c
    uper_encoder.c
    uper_opentype.c
    uper_support.c
    xer_decoder.c
    xer_encoder.c
    xer_support.c
)

set(ngap_headers
    ANY.h
    aper_decoder.h
    aper_encoder.h
    aper_opentype.h
    aper_support.h
    asn_application.h
    asn_bit_data.h
    asn_codecs.h
    asn_codecs_prim.h
    asn_config.h
    asn_internal.h
    asn_ioc.h
    asn_random_fill.h
    asn_SEQUENCE_OF.h
    asn_SET_OF.h
    asn_system.h
    ber_tlv_length.h
    ber_tlv_tag.h
    BIT_STRING.h
    constraints.h
    constr_CHOICE.h
    constr_SEQUENCE.h
    constr_SEQUENCE_OF.h
    constr_SET_OF.h
    constr_TYPE.h
    GraphicString.h
    INTEGER.h
    NativeEnumerated.h
    NativeInteger.h
    NGAP_AdditionalDLUPTNLInformationForHOItem.h
    NGAP_AdditionalDLUPTNLInformationForHOList.h
    NGAP_AdditionalQosFlowInformation.h
    NGAP_AllocationAndRetentionPriority.h
    NGAP_AllowedNSSAI.h
    NGAP_AllowedNSSAI-Item.h
    NGAP_AllowedTACs.h
    NGAP_AMFConfigurationUpdateAcknowledge.h
    NGAP_AMFConfigurationUpdateFailure.h
    NGAP_AMFConfigurationUpdate.h
    NGAP_AMFName.h
    NGAP_AMFPagingTarget.h
    NGAP_AMFPointer.h
    NGAP_AMFRegionID.h
    NGAP_AMFSetID.h
    NGAP_AMFStatusIndication.h
    NGAP_AMF-TNLAssociationSetupItem.h
    NGAP_AMF-TNLAssociationSetupList.h
    NGAP_AMF-TNLAssociationToAddItem.h
    NGAP_AMF-TNLAssociationToAddList.h
    NGAP_AMF-TNLAssociationToRemoveItem.h
    NGAP_AMF-TNLAssociationToRemoveList.h
    NGAP_AMF-TNLAssociationToUpdateItem.h
    NGAP_AMF-TNLAssociationToUpdateList.h
    NGAP_AMF-UE-NGAP-ID.h
    NGAP_AreaOfInterestCellItem.h
    NGAP_AreaOfInterestCellList.h
    NGAP_AreaOfInterest.h
    NGAP_AreaOfInterestItem.h
    NGAP_AreaOfInterestList.h
    NGAP_AreaOfInterestRANNodeItem.h
    NGAP_AreaOfInterestRANNodeList.h
    NGAP_AreaOfInterestTAIItem.h
    NGAP_AreaOfInterestTAIList.h
    NGAP_asn_constant.h
    NGAP_AssistanceDataForPaging.h
    NGAP_AssistanceDataForRecommendedCells.h
    NGAP_AssociatedQosFlowItem.h
    NGAP_AssociatedQosFlowList.h
    NGAP_AveragingWindow.h
    NGAP_BitRate.h
    NGAP_BroadcastCancelledAreaList.h
    NGAP_BroadcastCompletedAreaList.h
    NGAP_BroadcastPLMNItem.h
    NGAP_BroadcastPLMNList.h
    NGAP_CancelAllWarningMessages.h
    NGAP_CancelledCellsInEAI-EUTRA.h
    NGAP_CancelledCellsInEAI-EUTRA-Item.h
    NGAP_CancelledCellsInEAI-NR.h
    NGAP_CancelledCellsInEAI-NR-Item.h
    NGAP_CancelledCellsInTAI-EUTRA.h
    NGAP_CancelledCellsInTAI-EUTRA-Item.h
    NGAP_CancelledCellsInTAI-NR.h
    NGAP_CancelledCellsInTAI-NR-Item.h
    NGAP_Cause.h
    NGAP_CauseMisc.h
    NGAP_CauseNas.h
    NGAP_CauseProtocol.h
    NGAP_CauseRadioNetwork.h
    NGAP_CauseTransport.h
    NGAP_CellIDBroadcastEUTRA.h
    NGAP_CellIDBroadcastEUTRA-Item.h
    NGAP_CellIDBroadcastNR.h
    NGAP_CellIDBroadcastNR-Item.h
    NGAP_CellIDCancelledEUTRA.h
    NGAP_CellIDCancelledEUTRA-Item.h
    NGAP_CellIDCancelledNR.h
    NGAP_CellIDCancelledNR-Item.h
    NGAP_CellIDListForRestart.h
    NGAP_CellSize.h
    NGAP_CellTrafficTrace.h
    NGAP_CellType.h
    NGAP_CNAssistedRANTuning.h
    NGAP_CNTypeRestrictionsForEquivalent.h
    NGAP_CNTypeRestrictionsForEquivalentItem.h
    NGAP_CNTypeRestrictionsForServing.h
    NGAP_CommonNetworkInstance.h
    NGAP_CompletedCellsInEAI-EUTRA.h
    NGAP_CompletedCellsInEAI-EUTRA-Item.h
    NGAP_CompletedCellsInEAI-NR.h
    NGAP_CompletedCellsInEAI-NR-Item.h
    NGAP_CompletedCellsInTAI-EUTRA.h
    NGAP_CompletedCellsInTAI-EUTRA-Item.h
    NGAP_CompletedCellsInTAI-NR.h
    NGAP_CompletedCellsInTAI-NR-Item.h
    NGAP_ConcurrentWarningMessageInd.h
    NGAP_ConfidentialityProtectionIndication.h
    NGAP_ConfidentialityProtectionResult.h
    NGAP_ConfiguredNSSAI.h
    NGAP_CoreNetworkAssistanceInformationForInactive.h
    NGAP_COUNTValueForPDCP-SN12.h
    NGAP_COUNTValueForPDCP-SN18.h
    NGAP_CPTransportLayerInformation.h
    NGAP_CriticalityDiagnostics.h
    NGAP_CriticalityDiagnostics-IE-Item.h
    NGAP_CriticalityDiagnostics-IE-List.h
    NGAP_Criticality.h
    NGAP_DataCodingScheme.h
    NGAP_DataForwardingAccepted.h
    NGAP_DataForwardingNotPossible.h
    NGAP_DataForwardingResponseDRBItem.h
    NGAP_DataForwardingResponseDRBList.h
    NGAP_DeactivateTrace.h
    NGAP_DelayCritical.h
    NGAP_DirectForwardingPathAvailability.h
    NGAP_DLForwarding.h
    NGAP_DL-NGU-TNLInformationReused.h
    NGAP_DownlinkNASTransport.h
    NGAP_DownlinkNonUEAssociatedNRPPaTransport.h
    NGAP_DownlinkRANConfigurationTransfer.h
    NGAP_DownlinkRANStatusTransfer.h
    NGAP_DownlinkUEAssociatedNRPPaTransport.h
    NGAP_DRB-ID.h
    NGAP_DRBsSubjectToStatusTransferItem.h
    NGAP_DRBsSubjectToStatusTransferList.h
    NGAP_DRBStatusDL12.h
    NGAP_DRBStatusDL18.h
    NGAP_DRBStatusDL.h
    NGAP_DRBStatusUL12.h
    NGAP_DRBStatusUL18.h
    NGAP_DRBStatusUL.h
    NGAP_DRBsToQosFlowsMappingItem.h
    NGAP_DRBsToQosFlowsMappingList.h
    NGAP_Dynamic5QIDescriptor.h
    NGAP_EmergencyAreaIDBroadcastEUTRA.h
    NGAP_EmergencyAreaIDBroadcastEUTRA-Item.h
    NGAP_EmergencyAreaIDBroadcastNR.h
    NGAP_EmergencyAreaIDBroadcastNR-Item.h
    NGAP_EmergencyAreaIDCancelledEUTRA.h
    NGAP_EmergencyAreaIDCancelledEUTRA-Item.h
    NGAP_EmergencyAreaIDCancelledNR.h
    NGAP_EmergencyAreaIDCancelledNR-Item.h
    NGAP_EmergencyAreaID.h
    NGAP_EmergencyAreaIDListForRestart.h
    NGAP_EmergencyAreaIDList.h
    NGAP_EmergencyFallbackIndicator.h
    NGAP_EmergencyFallbackRequestIndicator.h
    NGAP_EmergencyServiceTargetCN.h
    NGAP_EN-DCSONConfigurationTransfer.h
    NGAP_EndpointIPAddressAndPort.h
    NGAP_EPS-TAC.h
    NGAP_EPS-TAI.h
    NGAP_EquivalentPLMNs.h
    NGAP_E-RAB-ID.h
    NGAP_E-RABInformationItem.h
    NGAP_E-RABInformationList.h
    NGAP_ErrorIndication.h
    NGAP_EUTRACellIdentity.h
    NGAP_EUTRA-CGI.h
    NGAP_EUTRA-CGIListForWarning.h
    NGAP_EUTRA-CGIList.h
    NGAP_EUTRAencryptionAlgorithms.h
    NGAP_EUTRAintegrityProtectionAlgorithms.h
    NGAP_EventType.h
    NGAP_ExpectedActivityPeriod.h
    NGAP_ExpectedHOInterval.h
    NGAP_ExpectedIdlePeriod.h
    NGAP_ExpectedUEActivityBehaviour.h
    NGAP_ExpectedUEBehaviour.h
    NGAP_ExpectedUEMobility.h
    NGAP_ExpectedUEMovingTrajectory.h
    NGAP_ExpectedUEMovingTrajectoryItem.h
    NGAP_EXTERNAL.h
    NGAP_FiveG-S-TMSI.h
    NGAP_FiveG-TMSI.h
    NGAP_FiveQI.h
    NGAP_ForbiddenAreaInformation.h
    NGAP_ForbiddenAreaInformation-Item.h
    NGAP_ForbiddenTACs.h
    NGAP_GBR-QosInformation.h
    NGAP_GlobalGNB-ID.h
    NGAP_GlobalN3IWF-ID.h
    NGAP_GlobalNgENB-ID.h
    NGAP_GlobalRANNodeID.h
    NGAP_GNB-ID.h
    NGAP_GTP-TEID.h
    NGAP_GTPTunnel.h
    NGAP_GUAMI.h
    NGAP_HandoverCancelAcknowledge.h
    NGAP_HandoverCancel.h
    NGAP_HandoverCommand.h
    NGAP_HandoverCommandTransfer.h
    NGAP_HandoverFailure.h
    NGAP_HandoverFlag.h
    NGAP_HandoverNotify.h
    NGAP_HandoverPreparationFailure.h
    NGAP_HandoverPreparationUnsuccessfulTransfer.h
    NGAP_HandoverRequestAcknowledge.h
    NGAP_HandoverRequestAcknowledgeTransfer.h
    NGAP_HandoverRequest.h
    NGAP_HandoverRequired.h
    NGAP_HandoverRequiredTransfer.h
    NGAP_HandoverResourceAllocationUnsuccessfulTransfer.h
    NGAP_HandoverType.h
    NGAP_IMSVoiceSupportIndicator.h
    NGAP_IndexToRFSP.h
    NGAP_InfoOnRecommendedCellsAndRANNodesForPaging.h
    NGAP_InitialContextSetupFailure.h
    NGAP_InitialContextSetupRequest.h
    NGAP_InitialContextSetupResponse.h
    NGAP_InitialUEMessage.h
    NGAP_InitiatingMessage.h
    NGAP_IntegrityProtectionIndication.h
    NGAP_IntegrityProtectionResult.h
    NGAP_IntendedNumberOfPagingAttempts.h
    NGAP_InterfacesToTrace.h
    NGAP_LastVisitedCellInformation.h
    NGAP_LastVisitedCellItem.h
    NGAP_LastVisitedEUTRANCellInformation.h
    NGAP_LastVisitedGERANCellInformation.h
    NGAP_LastVisitedNGRANCellInformation.h
    NGAP_LastVisitedUTRANCellInformation.h
    NGAP_LocationReport.h
    NGAP_LocationReportingAdditionalInfo.h
    NGAP_LocationReportingControl.h
    NGAP_LocationReportingFailureIndication.h
    NGAP_LocationReportingReferenceID.h
    NGAP_LocationReportingRequestType.h
    NGAP_MaskedIMEISV.h
    NGAP_MaximumDataBurstVolume.h
    NGAP_MaximumIntegrityProtectedDataRate.h
    NGAP_MessageIdentifier.h
    NGAP_MICOModeIndication.h
    NGAP_MobilityRestrictionList.h
    NGAP_N3IWF-ID.h
    NGAP_NASNonDeliveryIndication.h
    NGAP_NAS-PDU.h
    NGAP_NASSecurityParametersFromNGRAN.h
    NGAP_NetworkInstance.h
    NGAP_NewSecurityContextInd.h
    NGAP_NextHopChainingCount.h
    NGAP_NextPagingAreaScope.h
    NGAP_NGAP-PDU.h
    NGAP_NgENB-ID.h
    NGAP_NGRAN-CGI.h
    NGAP_NGRAN-TNLAssociationToRemoveItem.h
    NGAP_NGRAN-TNLAssociationToRemoveList.h
    NGAP_NGRANTraceID.h
    NGAP_NGResetAcknowledge.h
    NGAP_NGReset.h
    NGAP_NGSetupFailure.h
    NGAP_NGSetupRequest.h
    NGAP_NGSetupResponse.h
    NGAP_NonDynamic5QIDescriptor.h
    NGAP_NotAllowedTACs.h
    NGAP_NotificationCause.h
    NGAP_NotificationControl.h
    NGAP_NRCellIdentity.h
    NGAP_NR-CGI.h
    NGAP_NR-CGIListForWarning.h
    NGAP_NR-CGIList.h
    NGAP_NRencryptionAlgorithms.h
    NGAP_NRintegrityProtectionAlgorithms.h
    NGAP_NRPPa-PDU.h
    NGAP_NumberOfBroadcasts.h
    NGAP_NumberOfBroadcastsRequested.h
    NGAP_OverloadAction.h
    NGAP_OverloadResponse.h
    NGAP_OverloadStart.h
    NGAP_OverloadStartNSSAIItem.h
    NGAP_OverloadStartNSSAIList.h
    NGAP_OverloadStop.h
    NGAP_PacketDelayBudget.h
    NGAP_PacketErrorRate.h
    NGAP_PacketLossRate.h
    NGAP_PagingAttemptCount.h
    NGAP_PagingAttemptInformation.h
    NGAP_PagingDRX.h
    NGAP_Paging.h
    NGAP_PagingOrigin.h
    NGAP_PagingPriority.h
    NGAP_PathSwitchRequestAcknowledge.h
    NGAP_PathSwitchRequestAcknowledgeTransfer.h
    NGAP_PathSwitchRequestFailure.h
    NGAP_PathSwitchRequest.h
    NGAP_PathSwitchRequestSetupFailedTransfer.h
    NGAP_PathSwitchRequestTransfer.h
    NGAP_PathSwitchRequestUnsuccessfulTransfer.h
    NGAP_PDUSessionAggregateMaximumBitRate.h
    NGAP_PDUSessionID.h
    NGAP_PDUSessionResourceAdmittedItem.h
    NGAP_PDUSessionResourceAdmittedList.h
    NGAP_PDUSessionResourceFailedToModifyItemModCfm.h
    NGAP_PDUSessionResourceFailedToModifyItemModRes.h
    NGAP_PDUSessionResourceFailedToModifyListModCfm.h
    NGAP_PDUSessionResourceFailedToModifyListModRes.h
    NGAP_PDUSessionResourceFailedToSetupItemCxtFail.h
    NGAP_PDUSessionResourceFailedToSetupItemCxtRes.h
    NGAP_PDUSessionResourceFailedToSetupItemHOAck.h
    NGAP_PDUSessionResourceFailedToSetupItemPSReq.h
    NGAP_PDUSessionResourceFailedToSetupItemSURes.h
    NGAP_PDUSessionResourceFailedToSetupListCxtFail.h
    NGAP_PDUSessionResourceFailedToSetupListCxtRes.h
    NGAP_PDUSessionResourceFailedToSetupListHOAck.h
    NGAP_PDUSessionResourceFailedToSetupListPSReq.h
    NGAP_PDUSessionResourceFailedToSetupListSURes.h
    NGAP_PDUSessionResourceHandoverItem.h
    NGAP_PDUSessionResourceHandoverList.h
    NGAP_PDUSessionResourceInformationItem.h
    NGAP_PDUSessionResourceInformationList.h
    NGAP_PDUSessionResourceItemCxtRelCpl.h
    NGAP_PDUSessionResourceItemCxtRelReq.h
    NGAP_PDUSessionResourceItemHORqd.h
    NGAP_PDUSessionResourceListCxtRelCpl.h
    NGAP_PDUSessionResourceListCxtRelReq.h
    NGAP_PDUSessionResourceListHORqd.h
    NGAP_PDUSessionResourceModifyConfirm.h
    NGAP_PDUSessionResourceModifyConfirmTransfer.h
    NGAP_PDUSessionResourceModifyIndication.h
    NGAP_PDUSessionResourceModifyIndicationTransfer.h
    NGAP_PDUSessionResourceModifyIndicationUnsuccessfulTransfer.h
    NGAP_PDUSessionResourceModifyItemModCfm.h
    NGAP_PDUSessionResourceModifyItemModInd.h
    NGAP_PDUSessionResourceModifyItemModReq.h
    NGAP_PDUSessionResourceModifyItemModRes.h
    NGAP_PDUSessionResourceModifyListModCfm.h
    NGAP_PDUSessionResourceModifyListModInd.h
    NGAP_PDUSessionResourceModifyListModReq.h
    NGAP_PDUSessionResourceModifyListModRes.h
    NGAP_PDUSessionResourceModifyRequest.h
    NGAP_PDUSessionResourceModifyRequestTransfer.h
    NGAP_PDUSessionResourceModifyResponse.h
    NGAP_PDUSessionResourceModifyResponseTransfer.h
    NGAP_PDUSessionResourceModifyUnsuccessfulTransfer.h
    NGAP_PDUSessionResourceNotify.h
    NGAP_PDUSessionResourceNotifyItem.h
    NGAP_PDUSessionResourceNotifyList.h
    NGAP_PDUSessionResourceNotifyReleasedTransfer.h
    NGAP_PDUSessionResourceNotifyTransfer.h
    NGAP_PDUSessionResourceReleaseCommand.h
    NGAP_PDUSessionResourceReleaseCommandTransfer.h
    NGAP_PDUSessionResourceReleasedItemNot.h
    NGAP_PDUSessionResourceReleasedItemPSAck.h
    NGAP_PDUSessionResourceReleasedItemPSFail.h
    NGAP_PDUSessionResourceReleasedItemRelRes.h
    NGAP_PDUSessionResourceReleasedListNot.h
    NGAP_PDUSessionResourceReleasedListPSAck.h
    NGAP_PDUSessionResourceReleasedListPSFail.h
    NGAP_PDUSessionResourceReleasedListRelRes.h
    NGAP_PDUSessionResourceReleaseResponse.h
    NGAP_PDUSessionResourceReleaseResponseTransfer.h
    NGAP_PDUSessionResourceSecondaryRATUsageItem.h
    NGAP_PDUSessionResourceSecondaryRATUsageList.h
    NGAP_PDUSessionResourceSetupItemCxtReq.h
    NGAP_PDUSessionResourceSetupItemCxtRes.h
    NGAP_PDUSessionResourceSetupItemHOReq.h
    NGAP_PDUSessionResourceSetupItemSUReq.h
    NGAP_PDUSessionResourceSetupItemSURes.h
    NGAP_PDUSessionResourceSetupListCxtReq.h
    NGAP_PDUSessionResourceSetupListCxtRes.h
    NGAP_PDUSessionResourceSetupListHOReq.h
    NGAP_PDUSessionResourceSetupListSUReq.h
    NGAP_PDUSessionResourceSetupListSURes.h
    NGAP_PDUSessionResourceSetupRequest.h
    NGAP_PDUSessionResourceSetupRequestTransfer.h
    NGAP_PDUSessionResourceSetupResponse.h
    NGAP_PDUSessionResourceSetupResponseTransfer.h
    NGAP_PDUSessionResourceSetupUnsuccessfulTransfer.h
    NGAP_PDUSessionResourceSwitchedItem.h
    NGAP_PDUSessionResourceSwitchedList.h
    NGAP_PDUSessionResourceToBeSwitchedDLItem.h
    NGAP_PDUSessionResourceToBeSwitchedDLList.h
    NGAP_PDUSessionResourceToReleaseItemHOCmd.h
    NGAP_PDUSessionResourceToReleaseItemRelCmd.h
    NGAP_PDUSessionResourceToReleaseListHOCmd.h
    NGAP_PDUSessionResourceToReleaseListRelCmd.h
    NGAP_PDUSessionType.h
    NGAP_PDUSessionUsageReport.h
    NGAP_PeriodicRegistrationUpdateTimer.h
    NGAP_PLMNIdentity.h
    NGAP_PLMNSupportItem.h
    NGAP_PLMNSupportList.h
    NGAP_PortNumber.h
    NGAP_Pre-emptionCapability.h
    NGAP_Pre-emptionVulnerability.h
    NGAP_Presence.h
    NGAP_PriorityLevelARP.h
    NGAP_PriorityLevelQos.h
    NGAP_PrivateIE-Container.h
    NGAP_PrivateIE-Field.h
    NGAP_PrivateIE-ID.h
    NGAP_PrivateMessage.h
    NGAP_ProcedureCode.h
    NGAP_ProtocolExtensionContainer.h
    NGAP_ProtocolExtensionField.h
    NGAP_ProtocolExtensionID.h
    NGAP_ProtocolIE-Container.h
    NGAP_ProtocolIE-ContainerList.h
    NGAP_ProtocolIE-ContainerPair.h
    NGAP_ProtocolIE-ContainerPairList.h
    NGAP_ProtocolIE-Field.h
    NGAP_ProtocolIE-FieldPair.h
    NGAP_ProtocolIE-ID.h
    NGAP_ProtocolIE-SingleContainer.h
    NGAP_PWSCancelRequest.h
    NGAP_PWSCancelResponse.h
    NGAP_PWSFailedCellIDList.h
    NGAP_PWSFailureIndication.h
    NGAP_PWSRestartIndication.h
    NGAP_QosCharacteristics.h
    NGAP_QosFlowAcceptedItem.h
    NGAP_QosFlowAcceptedList.h
    NGAP_QosFlowAddOrModifyRequestItem.h
    NGAP_QosFlowAddOrModifyRequestList.h
    NGAP_QosFlowAddOrModifyResponseItem.h
    NGAP_QosFlowAddOrModifyResponseList.h
    NGAP_QosFlowIdentifier.h
    NGAP_QosFlowInformationItem.h
    NGAP_QosFlowInformationList.h
    NGAP_QosFlowItemWithDataForwarding.h
    NGAP_QosFlowLevelQosParameters.h
    NGAP_QosFlowListWithCause.h
    NGAP_QosFlowListWithDataForwarding.h
    NGAP_QosFlowModifyConfirmItem.h
    NGAP_QosFlowModifyConfirmList.h
    NGAP_QosFlowNotifyItem.h
    NGAP_QosFlowNotifyList.h
    NGAP_QosFlowPerTNLInformation.h
    NGAP_QosFlowPerTNLInformationItem.h
    NGAP_QosFlowPerTNLInformationList.h
    NGAP_QosFlowSetupRequestItem.h
    NGAP_QosFlowSetupRequestList.h
    NGAP_QosFlowSetupResponseItemSURes.h
    NGAP_QosFlowSetupResponseListSURes.h
    NGAP_QoSFlowsUsageReport-Item.h
    NGAP_QoSFlowsUsageReportList.h
    NGAP_QosFlowToBeForwardedItem.h
    NGAP_QosFlowToBeForwardedList.h
    NGAP_QosFlowWithCauseItem.h
    NGAP_RANConfigurationUpdateAcknowledge.h
    NGAP_RANConfigurationUpdateFailure.h
    NGAP_RANConfigurationUpdate.h
    NGAP_RANNodeName.h
    NGAP_RANPagingPriority.h
    NGAP_RANStatusTransfer-TransparentContainer.h
    NGAP_RAN-UE-NGAP-ID.h
    NGAP_RATRestrictionInformation.h
    NGAP_RATRestrictions.h
    NGAP_RATRestrictions-Item.h
    NGAP_RecommendedCellItem.h
    NGAP_RecommendedCellList.h
    NGAP_RecommendedCellsForPaging.h
    NGAP_RecommendedRANNodeItem.h
    NGAP_RecommendedRANNodeList.h
    NGAP_RecommendedRANNodesForPaging.h
    NGAP_RedirectionVoiceFallback.h
    NGAP_ReferenceID.h
    NGAP_ReflectiveQosAttribute.h
    NGAP_RejectedNSSAIinPLMN.h
    NGAP_RejectedNSSAIinTA.h
    NGAP_RelativeAMFCapacity.h
    NGAP_RepetitionPeriod.h
    NGAP_ReportArea.h
    NGAP_RerouteNASRequest.h
    NGAP_ResetAll.h
    NGAP_ResetType.h
    NGAP_RoutingID.h
    NGAP_RRCContainer.h
    NGAP_RRCEstablishmentCause.h
    NGAP_RRCInactiveTransitionReport.h
    NGAP_RRCInactiveTransitionReportRequest.h
    NGAP_RRCState.h
    NGAP_SCTP-TLAs.h
    NGAP_SD.h
    NGAP_SecondaryRATDataUsageReport.h
    NGAP_SecondaryRATDataUsageReportTransfer.h
    NGAP_SecondaryRATUsageInformation.h
    NGAP_SecurityContext.h
    NGAP_SecurityIndication.h
    NGAP_SecurityKey.h
    NGAP_SecurityResult.h
    NGAP_SerialNumber.h
    NGAP_ServedGUAMIItem.h
    NGAP_ServedGUAMIList.h
    NGAP_ServiceAreaInformation.h
    NGAP_ServiceAreaInformation-Item.h
    NGAP_SliceOverloadItem.h
    NGAP_SliceOverloadList.h
    NGAP_SliceSupportItem.h
    NGAP_SliceSupportList.h
    NGAP_S-NSSAI.h
    NGAP_SONConfigurationTransfer.h
    NGAP_SONInformation.h
    NGAP_SONInformationReply.h
    NGAP_SONInformationRequest.h
    NGAP_SourceNGRANNode-ToTargetNGRANNode-TransparentContainer.h
    NGAP_SourceOfUEActivityBehaviourInformation.h
    NGAP_SourceRANNodeID.h
    NGAP_SourceToTarget-AMFInformationReroute.h
    NGAP_SourceToTarget-TransparentContainer.h
    NGAP_SST.h
    NGAP_SuccessfulOutcome.h
    NGAP_SupportedTAItem.h
    NGAP_SupportedTAList.h
    NGAP_TAC.h
    NGAP_TAIBroadcastEUTRA.h
    NGAP_TAIBroadcastEUTRA-Item.h
    NGAP_TAIBroadcastNR.h
    NGAP_TAIBroadcastNR-Item.h
    NGAP_TAICancelledEUTRA.h
    NGAP_TAICancelledEUTRA-Item.h
    NGAP_TAICancelledNR.h
    NGAP_TAICancelledNR-Item.h
    NGAP_TAI.h
    NGAP_TAIListForInactive.h
    NGAP_TAIListForInactiveItem.h
    NGAP_TAIListForPaging.h
    NGAP_TAIListForPagingItem.h
    NGAP_TAIListForRestart.h
    NGAP_TAIListForWarning.h
    NGAP_TargeteNB-ID.h
    NGAP_TargetID.h
    NGAP_TargetNGRANNode-ToSourceNGRANNode-TransparentContainer.h
    NGAP_TargetRANNodeID.h
    NGAP_TargetToSource-TransparentContainer.h
    NGAP_TimerApproachForGUAMIRemoval.h
    NGAP_TimeStamp.h
    NGAP_TimeToWait.h
    NGAP_TimeUEStayedInCellEnhancedGranularity.h
    NGAP_TimeUEStayedInCell.h
    NGAP_TNLAddressWeightFactor.h
    NGAP_TNLAssociationItem.h
    NGAP_TNLAssociationList.h
    NGAP_TNLAssociationUsage.h
    NGAP_TraceActivation.h
    NGAP_TraceDepth.h
    NGAP_TraceFailureIndication.h
    NGAP_TraceStart.h
    NGAP_TrafficLoadReductionIndication.h
    NGAP_TransportLayerAddress.h
    NGAP_TriggeringMessage.h
    NGAP_TypeOfError.h
    NGAP_UEAggregateMaximumBitRate.h
    NGAP_UE-associatedLogicalNG-connectionItem.h
    NGAP_UE-associatedLogicalNG-connectionList.h
    NGAP_UEContextModificationFailure.h
    NGAP_UEContextModificationRequest.h
    NGAP_UEContextModificationResponse.h
    NGAP_UEContextReleaseCommand.h
    NGAP_UEContextReleaseComplete.h
    NGAP_UEContextReleaseRequest.h
    NGAP_UEContextRequest.h
    NGAP_UEHistoryInformation.h
    NGAP_UEIdentityIndexValue.h
    NGAP_UE-NGAP-ID-pair.h
    NGAP_UE-NGAP-IDs.h
    NGAP_UEPagingIdentity.h
    NGAP_UEPresence.h
    NGAP_UEPresenceInAreaOfInterestItem.h
    NGAP_UEPresenceInAreaOfInterestList.h
    NGAP_UERadioCapabilityCheckRequest.h
    NGAP_UERadioCapabilityCheckResponse.h
    NGAP_UERadioCapabilityForPaging.h
    NGAP_UERadioCapabilityForPagingOfEUTRA.h
    NGAP_UERadioCapabilityForPagingOfNR.h
    NGAP_UERadioCapability.h
    NGAP_UERadioCapabilityInfoIndication.h
    NGAP_UERetentionInformation.h
    NGAP_UESecurityCapabilities.h
    NGAP_UETNLABindingReleaseRequest.h
    NGAP_ULForwarding.h
    NGAP_UL-NGU-UP-TNLModifyItem.h
    NGAP_UL-NGU-UP-TNLModifyList.h
    NGAP_UnavailableGUAMIItem.h
    NGAP_UnavailableGUAMIList.h
    NGAP_UnsuccessfulOutcome.h
    NGAP_UplinkNASTransport.h
    NGAP_UplinkNonUEAssociatedNRPPaTransport.h
    NGAP_UplinkRANConfigurationTransfer.h
    NGAP_UplinkRANStatusTransfer.h
    NGAP_UplinkUEAssociatedNRPPaTransport.h
    NGAP_UPTransportLayerInformation.h
    NGAP_UPTransportLayerInformationItem.h
    NGAP_UPTransportLayerInformationList.h
    NGAP_UPTransportLayerInformationPairItem.h
    NGAP_UPTransportLayerInformationPairList.h
    NGAP_UserLocationInformationEUTRA.h
    NGAP_UserLocationInformation.h
    NGAP_UserLocationInformationN3IWF.h
    NGAP_UserLocationInformationNR.h
    NGAP_UserPlaneSecurityInformation.h
    NGAP_VolumeTimedReport-Item.h
    NGAP_VolumeTimedReportList.h
    NGAP_WarningAreaCoordinates.h
    NGAP_WarningAreaList.h
    NGAP_WarningMessageContents.h
    NGAP_WarningSecurityInfo.h
    NGAP_WarningType.h
    NGAP_WriteReplaceWarningRequest.h
    NGAP_WriteReplaceWarningResponse.h
    NGAP_XnExtTLA-Item.h
    NGAP_XnExtTLAs.h
    NGAP_XnGTP-TLAs.h
    NGAP_XnTLAs.h
    NGAP_XnTNLConfigurationInfo.h
    ObjectDescriptor.h
    OBJECT_IDENTIFIER.h
    OCTET_STRING.h
    OPEN_TYPE.h
    per_decoder.h
    per_encoder.h
    per_opentype.h
    per_support.h
    PrintableString.h
    uper_decoder.h
    uper_encoder.h
    uper_opentype.h
    uper_support.h
    xer_decoder.h
    xer_encoder.h
    xer_support.h
)
